GNU bug report logs - #38693
27.0.50; tab-bar: automatic tab names should be shortened

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Gregor Zattler <grfz@HIDDEN>; Keywords: fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.0.60, send any further explanations to 38693 <at> debbugs.gnu.org and Gregor Zattler <grfz@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38693 <at> debbugs.gnu.org:


Received: (at 38693) by debbugs.gnu.org; 20 Jan 2020 23:12:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 18:12:38 2020
Received: from localhost ([127.0.0.1]:46249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itgDm-0006Un-E3
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 18:12:38 -0500
Received: from brown.elm.relay.mailchannels.net ([23.83.212.23]:2623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1itgDj-0006Uc-P0; Mon, 20 Jan 2020 18:12:36 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A8D8F20493;
 Mon, 20 Jan 2020 23:12:34 +0000 (UTC)
Received: from pdx1-sub0-mail-a67.g.dreamhost.com
 (100-96-168-177.trex.outbound.svc.cluster.local [100.96.168.177])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3A99F20C48;
 Mon, 20 Jan 2020 23:12:34 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a67.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 23:12:34 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Daffy-Thread: 061ef6323bbf0727_1579561954469_1887300562
X-MC-Loop-Signature: 1579561954469:2827699506
X-MC-Ingress-Time: 1579561954469
Received: from pdx1-sub0-mail-a67.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTP id 9A06481DA1;
 Mon, 20 Jan 2020 15:12:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=5X4T3+o2QvlkLV+NoNNFb9HGZ7s=; b=
 hYChJhJ9cQENHSfvpSQXv3QmButmQZQJveZ9TaviS7c5P8ddy3aN+cIfY6C5aOPC
 vXLoBiswet5I9hWokjksGt8KwzRzI/k3pabZ3PlVUw0BsNSyPkkzjGOgpqE9gEX+
 /xx75CHhyyBPKrkRsWUTd8apZ6kh99YM+xeuG6zj8oc=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTPSA id 2F1C681DA9;
 Mon, 20 Jan 2020 15:12:27 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a67
From: Juri Linkov <juri@HIDDEN>
To: Gregor Zattler <grfz@HIDDEN>
Subject: Re: bug#38693: 27.0.50; tab-bar: automatic tab names should be
 shortened
Organization: LINKOV.NET
References: <87r20yriqx.fsf@HIDDEN> <878sn5b6af.fsf@HIDDEN>
 <87sglalrwm.fsf@HIDDEN> <87a77ghyf0.fsf@HIDDEN>
 <87blqzklp8.fsf@HIDDEN>
Date: Tue, 21 Jan 2020 01:03:55 +0200
In-Reply-To: <87blqzklp8.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 20 Jan 2020 02:36:51 +0200")
Message-ID: <87pnfdzq5g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudejgddtgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvtddunecuvehluhhsthgvrhfuihiivgepudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepghhrfhiisehgmhigrdguvg
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38693
Cc: 38693 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 38693 fixed
close 38693 27.0.60
thanks

>>>>> Please provide an option to dynamically shorten at least
>>>>> automatic tab labels in order not to overflow the tab bar into
>>>>> another line OR provide an option with sensible default for the
>>>>> max length of automatic tab labels (e.g. 23 characters per tab
>>>>> label would allow for at least 3 tabs on a 80 char terminal) OR
>>>>> something to such effect.
>>>>
>>>> Maybe such a new option:
>>>>
>>>>   (defcustom tab-bar-tab-name-max 23
>>>>
>>>> and using it on the default values of tab-bar-tab-name-current,
>>>> tab-bar-tab-name-current-with-count, tab-bar-tab-name-all?
>>>
>>> yes, this would be helpful for me.
>>
>> I'm still not sure whether to use the new option in all functions above,
>> or add a new function that truncates the name.  It seems the latter is
>> better:
>>
>> +(defcustom tab-bar-tab-name-truncated-max 20
>> +  "Maximum length of the tab name from the current buffer.
>> +Effective when `tab-bar-tab-name-function' is customized
>> +to `tab-bar-tab-name-truncated'."
>> +  :type 'integer
>> +  :group 'tab-bar
>> +  :version "27.1")
>
> The same option should be added also to tab-line to truncate tab-line
> tab names.  Currently I fixed a bug that occurred when a tab name
> was longer than window width.  With such an option set to some reasonable
> default value this situation won't happen.

Fixed and closed, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.

Message received at 38693 <at> debbugs.gnu.org:


Received: (at 38693) by debbugs.gnu.org; 20 Jan 2020 00:42:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 19:42:54 2020
Received: from localhost ([127.0.0.1]:44189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL9a-00011d-HB
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:54 -0500
Received: from caracal.birch.relay.mailchannels.net ([23.83.209.30]:33653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1itL9X-00011S-0b
 for 38693 <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:52 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id F40C02C0F0F;
 Mon, 20 Jan 2020 00:42:47 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-87-46.trex.outbound.svc.cluster.local [100.96.87.46])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 756F22C14EA;
 Mon, 20 Jan 2020 00:42:47 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:47 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Keen-Decisive: 00da4ae30e99cb2d_1579480967709_1404614740
X-MC-Loop-Signature: 1579480967708:1023252034
X-MC-Ingress-Time: 1579480967708
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id 2C9617F074;
 Sun, 19 Jan 2020 16:42:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=hqHSDtWN4GqD9Y+i6vAe6O+KuJU=; b=
 HFpU8cnMtStk8zK5800SWJLT+8cedY6PsYcs7lDqeezErJ3nrLwzRtTdJdlaZkIr
 MJZN6Uw8VX7LkI201ECgbmnfE/xNC5b82hApdsYlhzK8CtnT29Rmup/PncsPLBfb
 b2s5H3UlsCWw1CvOaaSXPgji3YKqACfh4dHNlu5UU+s=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id 457077F075;
 Sun, 19 Jan 2020 16:42:39 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
To: Gregor Zattler <grfz@HIDDEN>
Subject: Re: bug#38693: 27.0.50; tab-bar: automatic tab names should be
 shortened
Organization: LINKOV.NET
References: <87r20yriqx.fsf@HIDDEN> <878sn5b6af.fsf@HIDDEN>
 <87sglalrwm.fsf@HIDDEN> <87a77ghyf0.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 02:36:51 +0200
In-Reply-To: <87a77ghyf0.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 25 Dec 2019 23:45:39 +0200")
Message-ID: <87blqzklp8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvtddunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvddtuddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehgrhhfiiesghhmgidruggvnecuvehluhhsthgvrhfuihiivgepvd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38693
Cc: 38693 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>> Please provide an option to dynamically shorten at least
>>>> automatic tab labels in order not to overflow the tab bar into
>>>> another line OR provide an option with sensible default for the
>>>> max length of automatic tab labels (e.g. 23 characters per tab
>>>> label would allow for at least 3 tabs on a 80 char terminal) OR
>>>> something to such effect.
>>>
>>> Maybe such a new option:
>>>
>>>   (defcustom tab-bar-tab-name-max 23
>>>
>>> and using it on the default values of tab-bar-tab-name-current,
>>> tab-bar-tab-name-current-with-count, tab-bar-tab-name-all?
>>
>> yes, this would be helpful for me.
>
> I'm still not sure whether to use the new option in all functions above,
> or add a new function that truncates the name.  It seems the latter is
> better:
>
> +(defcustom tab-bar-tab-name-truncated-max 20
> +  "Maximum length of the tab name from the current buffer.
> +Effective when `tab-bar-tab-name-function' is customized
> +to `tab-bar-tab-name-truncated'."
> +  :type 'integer
> +  :group 'tab-bar
> +  :version "27.1")

The same option should be added also to tab-line to truncate tab-line
tab names.  Currently I fixed a bug that occurred when a tab name
was longer than window width.  With such an option set to some reasonable
default value this situation won't happen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.

Message received at 38693 <at> debbugs.gnu.org:


Received: (at 38693) by debbugs.gnu.org; 25 Dec 2019 21:53:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 25 16:53:04 2019
Received: from localhost ([127.0.0.1]:54735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikEaV-0003g7-NM
	for submit <at> debbugs.gnu.org; Wed, 25 Dec 2019 16:53:03 -0500
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:36267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ikEaT-0003fd-05
 for 38693 <at> debbugs.gnu.org; Wed, 25 Dec 2019 16:53:02 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5C87E580523;
 Wed, 25 Dec 2019 21:52:57 +0000 (UTC)
Received: from pdx1-sub0-mail-a89.g.dreamhost.com
 (100-96-83-39.trex.outbound.svc.cluster.local [100.96.83.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id DA1F35807A4;
 Wed, 25 Dec 2019 21:52:56 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a89.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 25 Dec 2019 21:52:57 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Sponge-Print: 3c75123b235e913a_1577310777125_446416711
X-MC-Loop-Signature: 1577310777125:193604248
X-MC-Ingress-Time: 1577310777125
Received: from pdx1-sub0-mail-a89.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a89.g.dreamhost.com (Postfix) with ESMTP id A1C587EFD5;
 Wed, 25 Dec 2019 13:52:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=LeCok2r2Y/ihOVeA9ylbiLrlkBY=; b=
 sSYEd+n9cvBsyFgTOh9EUpkHcFzyNll5zk8op99a1UGNe0VY8QMhRCULSchRyskc
 OnsAg2G6lNsA9ooDdPrRWv1qTn6rDn8AkZFVOShxT/hqfWZmneBRWD7MxykW9AX/
 5JBCjjeFuEnAkxo68mEoRPbc9E6CK7x2tjp4pbGEoeM=
Received: from mail.jurta.org (m91-129-107-186.cust.tele2.ee [91.129.107.186])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a89.g.dreamhost.com (Postfix) with ESMTPSA id A7AC37EFCD;
 Wed, 25 Dec 2019 13:52:49 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a89
From: Juri Linkov <juri@HIDDEN>
To: Gregor Zattler <grfz@HIDDEN>
Subject: Re: bug#38693: 27.0.50; tab-bar: automatic tab names should be
 shortened
Organization: LINKOV.NET
References: <87r20yriqx.fsf@HIDDEN> <878sn5b6af.fsf@HIDDEN>
 <87sglalrwm.fsf@HIDDEN>
Date: Wed, 25 Dec 2019 23:45:39 +0200
In-Reply-To: <87sglalrwm.fsf@HIDDEN> (Gregor Zattler's message of "Mon, 
 23 Dec 2019 21:15:53 +0100")
Message-ID: <87a77ghyf0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrvddvgedgudehhecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofhffjgfkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdejrddukeeinecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtjedrudekiedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehgrhhfiiesghhmgidruggvnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38693
Cc: 38693 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>>> Please provide an option to dynamically shorten at least
>>> automatic tab labels in order not to overflow the tab bar into
>>> another line OR provide an option with sensible default for the
>>> max length of automatic tab labels (e.g. 23 characters per tab
>>> label would allow for at least 3 tabs on a 80 char terminal) OR
>>> something to such effect.
>>
>> Maybe such a new option:
>>
>>   (defcustom tab-bar-tab-name-max 23
>>
>> and using it on the default values of tab-bar-tab-name-current,
>> tab-bar-tab-name-current-with-count, tab-bar-tab-name-all?
>
> yes, this would be helpful for me.

I'm still not sure whether to use the new option in all functions above,
or add a new function that truncates the name.  It seems the latter is
better:


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline; filename=tab-bar-tab-name-truncated.patch
Content-Transfer-Encoding: quoted-printable

diff --git a/lisp/tab-bar.el b/lisp/tab-bar.el
index 0d0197eb6b..d10dd7031f 100644
--- a/lisp/tab-bar.el
+++ b/lisp/tab-bar.el
@@ -319,6 +319,8 @@ tab-bar-tab-name-function
                         tab-bar-tab-name-current)
                  (const :tag "Selected window buffer with window count"
                         tab-bar-tab-name-current-with-count)
+                 (const :tag "Truncated buffer name"
+                        tab-bar-tab-name-truncated)
                  (const :tag "All window buffers"
                         tab-bar-tab-name-all)
                  (function  :tag "Function"))
@@ -350,6 +352,29 @@ tab-bar-tab-name-all
                                                  'nomini)))
              ", "))
=20
+(defcustom tab-bar-tab-name-truncated-max 20
+  "Maximum length of the tab name from the current buffer.
+Effective when `tab-bar-tab-name-function' is customized
+to `tab-bar-tab-name-truncated'."
+  :type 'integer
+  :group 'tab-bar
+  :version "27.1")
+
+(defvar tab-bar-tab-name-truncated-ellipsis
+  (if (char-displayable-p ?=E2=80=A6) "=E2=80=A6" "..."))
+
+(defun tab-bar-tab-name-truncated ()
+  "Generate tab name from the buffer of the selected window.
+Truncate it ti the length specified by `tab-bar-tab-name-truncated-max'.
+Append ellipsis `tab-bar-tab-name-truncated-ellipsis' in this case."
+  (let ((tab-name (buffer-name (window-buffer (minibuffer-selected-windo=
w)))))
+    (if (< (length tab-name) tab-bar-tab-name-truncated-max)
+        tab-name
+      (propertize (truncate-string-to-width
+                   tab-name tab-bar-tab-name-truncated-max nil nil
+                   tab-bar-tab-name-truncated-ellipsis)
+                  'help-echo tab-name))))
+
 =0C
 (defvar tab-bar-tabs-function #'tab-bar-tabs
   "Function to get a list of tabs to display in the tab bar.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.

Message received at 38693 <at> debbugs.gnu.org:


Received: (at 38693) by debbugs.gnu.org; 23 Dec 2019 20:16:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 23 15:16:09 2019
Received: from localhost ([127.0.0.1]:51694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ijU7d-0000pM-Im
	for submit <at> debbugs.gnu.org; Mon, 23 Dec 2019 15:16:09 -0500
Received: from mout.gmx.net ([212.227.17.20]:48959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <grfz@HIDDEN>) id 1ijU7Z-0000oZ-7T
 for 38693 <at> debbugs.gnu.org; Mon, 23 Dec 2019 15:16:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1577132156;
 bh=0qD4g3eA/WT6+/54DlyKYZ147k4QJDL/HQC7yz+JfvM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=BetwOl//E3k91SrzzbF5weJbDJaQxmPgTwJKeLjMEpbyOgFPZXW87l92hSXY1KYdS
 9Am7YCIvl74xvyk6osr0mpvTN5/OU795Z8tiWKEXSwnTNYgCAnvDa72ZyNKF84Xbf1
 BXjbysjE2bf8k3RigAiayAaXlgPSPt5VbVzoiQq8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from len.workgroup ([84.185.108.19]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MnakX-1jSPqD2t3V-00jaqf; Mon, 23
 Dec 2019 21:15:56 +0100
From: Gregor Zattler <grfz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#38693: 27.0.50; tab-bar: automatic tab names should be
 shortened
In-Reply-To: <878sn5b6af.fsf@HIDDEN>
References: <87r20yriqx.fsf@HIDDEN> <878sn5b6af.fsf@HIDDEN>
Date: Mon, 23 Dec 2019 21:15:53 +0100
Message-ID: <87sglalrwm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:+wr7kX6cHOl+0mImpXseN/tesusRfb2dDT6uUgTntkk7NK0gm4G
 k8ULTE9J3WWO88m8gLjxKhVRWMpz/AZmKoks3ow+i5m4KeB2/M3s0ZeMSQUFfyZ7L8HWePU
 s7tVNFqLjoD3LMCYVLJvR0bDJy2aF2q1b+SmCkBPdrMs821Zu39NzPMg90CtOA4nrenauVD
 3teTWeTzl6ae2XXMuDeTQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:0oM4GKoscIc=:V0LDlg+b0dK6H0LWk4rXQa
 ZMWa+c7CF1d1jDYav5dC5oe1hmpYeJwaY6lvNQeQiD7ZfJcg7e2wkEcB9MT7UQtntXx8HtwUQ
 tUMBTWjCu2FJNb9RB19FfQoCo8BfElglz7jYUioFtenS9HeAKFgUGnt1kbC6+WvgeITUaNjQy
 Arf7oDkAF1uzFamudxssMxGN97CvLKKdylgnV5wlkHCenVn0K7yFEwpuhgw9lym2nhFM96fS3
 hPWHZCKge7aeAJptz754TBZtdbRsSqRLMeIwEJweEoWEzzdULCQkDbrH/yjZ9Hns51+Sk02vp
 LlVnCnwY2tkEM6X/MFmZ8c50YRMW4CB9+f0W3RnudNy3BRabfyipv3WB1NzIan+FaYw3TLrdk
 CqIfpx1ozULVYmHUWDykqSFheW+Zbl+Csu44ec6tdciVFfV74ATLcF1w6ymtT+LBFDVaMY93e
 /h9h3b+pBChxWlgBxMAJsWNqgROAFlih2VMwcKMslECLtwHpLmnv940x50mmfy1gT4Yjo1cYn
 ES2f1crM1Al+kEItSuMeNlnzXEjo7YXNHLt2YIgsu/nE1kapHKhzhwoH6mKlo7kBNhlOh7c8Z
 6PdjL7VTDNUgJunlPkiQtD5rpEoHIKdJGNDT4hNlNx5uhZu12H7t8pJXkJEhVuVpPUo8HgGUf
 +uou5bixdN7f4zBTIO4XdCqmKCYjM6zBoJgHokNCvbIHTQknGAwWSEBf3yFFPjQptAssHtcfv
 LtQ4wNeHK1nBnFj1kc/K5PKCYrZzeRxOcOB4fXkARcu/8BC26bj3dMjXplU7KCe2Zqlk1u+cv
 qZWBca2zQ036N4iLw62J+iw8mb9Bl5EHnyNWsL7OhQJd+wEQPayPdY6TsbeuubKQoKwLRatSI
 heV1+EjO5XWRZ9V+wGfwp9g0kWUA5UdU77zhSNNV1aZodWeHkeGFQ+6ZdCWndGMiq+5o9LlKN
 xaDOZd+jo5sSYsUrQem0VeMLgiQR7gktlUzbuoyXCwh/KIOCxjU4YRsb+DcxZMPq3oqFYYSQm
 A+VmKZfp8jfVCOjsYl4t4LnMyspGEvvnoGTxRpZkP2U3TNJgO2ViYWDgyYcT6Xe/OJtMFoIzL
 Qo6Nw+LYkNtBOHU2aInmxzwartgpUyf0vC8cHjXAtSmQENytOz4GvkcRgInrgIoDOEQKExisS
 005pIbnnpYulTiaUI6+JCqe02x4CSolyi+Epjo4enXkmcNnI+bnG0vSozPZdB7IoKJJz1hYHV
 73wwkHXIz1es34d+xLennD5YU0vKdmbXnwlwooQ==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38693
Cc: 38693 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Juri,
* Juri Linkov <juri@HIDDEN> [2019-12-22; 01:36]:
>> Dear emacs developers, Juri, per default tab-bar uses buffer
>> names as tab labels.  But these might be very looong:
>
> I've never seen that long buffer name before.
> This reminds Guinness Book record for the longest name :)
>
>> Please provide an option to dynamically shorten at least
>> automatic tab labels in order not to overflow the tab bar into
>> another line OR provide an option with sensible default for the
>> max length of automatic tab labels (e.g. 23 characters per tab
>> label would allow for at least 3 tabs on a 80 char terminal) OR
>> something to such effect.
>
> Maybe such a new option:
>
>   (defcustom tab-bar-tab-name-max 23
>
> and using it on the default values of tab-bar-tab-name-current,
> tab-bar-tab-name-current-with-count, tab-bar-tab-name-all?

yes, this would be helpful for me.

Ciao,
=2D-
Gregor





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.

Message received at 38693 <at> debbugs.gnu.org:


Received: (at 38693) by debbugs.gnu.org; 21 Dec 2019 23:37:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 21 18:37:56 2019
Received: from localhost ([127.0.0.1]:48930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iioJn-0007KR-Qg
	for submit <at> debbugs.gnu.org; Sat, 21 Dec 2019 18:37:55 -0500
Received: from dragonfly.birch.relay.mailchannels.net ([23.83.209.51]:20099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iioJm-0007KJ-4k
 for 38693 <at> debbugs.gnu.org; Sat, 21 Dec 2019 18:37:54 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 02CFC5E0E19;
 Sat, 21 Dec 2019 23:37:53 +0000 (UTC)
Received: from pdx1-sub0-mail-a1.g.dreamhost.com
 (100-96-83-39.trex.outbound.svc.cluster.local [100.96.83.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 62B045E1169;
 Sat, 21 Dec 2019 23:37:52 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a1.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 21 Dec 2019 23:37:52 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Inform-Thread: 2f13311454511b13_1576971472616_856664812
X-MC-Loop-Signature: 1576971472616:605655806
X-MC-Ingress-Time: 1576971472615
Received: from pdx1-sub0-mail-a1.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a1.g.dreamhost.com (Postfix) with ESMTP id 23F597F642;
 Sat, 21 Dec 2019 15:37:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=BGZ70VQwZwbZjlIawAVLsBtDvis=; b=
 bNNCr8HI02tFoFVlhtkNWVrEWteTVyFVsGlXQzCeArBUryNo2AWidiEpF87T2EqJ
 zvRQx9pitQMk6wEmhrCWgenCaL7CouEkz7kKehGZdHgOHdVbzIVyU75UgRToQwav
 QgIf+YA30j3n8yZQMkrmdhoULIHEpGh1H3tpJVyNv9w=
Received: from mail.jurta.org (m91-129-107-186.cust.tele2.ee [91.129.107.186])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a1.g.dreamhost.com (Postfix) with ESMTPSA id 20FCA7F62B;
 Sat, 21 Dec 2019 15:37:44 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a1
From: Juri Linkov <juri@HIDDEN>
To: Gregor Zattler <grfz@HIDDEN>
Subject: Re: bug#38693: 27.0.50; tab-bar: automatic tab names should be
 shortened
Organization: LINKOV.NET
References: <87r20yriqx.fsf@HIDDEN>
Date: Sun, 22 Dec 2019 01:36:08 +0200
In-Reply-To: <87r20yriqx.fsf@HIDDEN> (Gregor Zattler's message of "Fri, 
 20 Dec 2019 18:48:06 +0100")
Message-ID: <878sn5b6af.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrvdduiedgtdelucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtjedrudekieenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdejrddukeeipdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepghhrfhiisehgmhigrdguvgenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38693
Cc: 38693 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Dear emacs developers, Juri, per default tab-bar uses buffer
> names as tab labels.  But these might be very looong:

I've never seen that long buffer name before.
This reminds Guinness Book record for the longest name :)

> Please provide an option to dynamically shorten at least
> automatic tab labels in order not to overflow the tab bar into
> another line OR provide an option with sensible default for the
> max length of automatic tab labels (e.g. 23 characters per tab
> label would allow for at least 3 tabs on a 80 char terminal) OR
> something to such effect.

Maybe such a new option:

  (defcustom tab-bar-tab-name-max 23

and using it on the default values of tab-bar-tab-name-current,
tab-bar-tab-name-current-with-count, tab-bar-tab-name-all?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Dec 2019 17:48:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 20 12:48:18 2019
Received: from localhost ([127.0.0.1]:47233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iiMNu-0003sz-FF
	for submit <at> debbugs.gnu.org; Fri, 20 Dec 2019 12:48:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:44635)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <grfz@HIDDEN>) id 1iiMNs-0003ss-QE
 for submit <at> debbugs.gnu.org; Fri, 20 Dec 2019 12:48:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33211)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <grfz@HIDDEN>) id 1iiMNr-0002gp-6w
 for bug-gnu-emacs@HIDDEN; Fri, 20 Dec 2019 12:48:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <grfz@HIDDEN>) id 1iiMNq-00039k-5d
 for bug-gnu-emacs@HIDDEN; Fri, 20 Dec 2019 12:48:15 -0500
Received: from mout.gmx.net ([212.227.17.21]:47813)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <grfz@HIDDEN>) id 1iiMNp-000329-DU
 for bug-gnu-emacs@HIDDEN; Fri, 20 Dec 2019 12:48:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1576864090;
 bh=htXsLSjZJHEzVK+5FrER/SqLxHZaxO06owlLAUNZow8=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=EhReUnmzW4emjP2f+igUWXZjZOVWnMXk8tM/tHrS4aXhkAxXutmE/fQevaT6039XO
 S/mPjQkr7V+DA96BRuBlAcbeMdvWkTlpEtxv0UqcvDKI5ev8C8LeaD/QXrXWbIyaOX
 6Ty1TXEIWn+m9sQp5JYvT/82RwHuR4p2trs8W72A=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from len.workgroup ([84.185.108.19]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MEFvp-1iYDuh250X-00AG3A; Fri, 20
 Dec 2019 18:48:10 +0100
From: Gregor Zattler <grfz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; tab-bar: automatic tab names should be shortened
Date: Fri, 20 Dec 2019 18:48:06 +0100
Message-ID: <87r20yriqx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:KO3mMz7onky/YFkwAZRGY6br6bno1/Sc2czKCVAoO2Nd8qQuKqo
 LZX+DWptWP9G/J4mcpTCxAH0SfPIUQcN8cPvxWtUmJJckccyUGgZnlTuYlrRyqJ3cr3gq8k
 2JBAcdN19knvNgm5x+x0ex+4woU9/W9Hn2ad7bQxGBzq5ovUyy8gS5hrgEZL8khl1NhtTew
 Z4vgUFLlrvp9uQDAiHE6g==
X-UI-Out-Filterresults: notjunk:1;V03:K0:8W1DnoHXP5o=:jZ5qxnOi9EsVdqAZjTfFvq
 FRKDx+oO9rCBnshFO1xDK38TIUdykSmUDOjpHagVgsa3D/sy6hZk3QB/rv0jw6UlTVZ6WGF/s
 uTryYHCFYPSUs68GvMwl1Xo2VABfkXaGSfJsPp7XKPysiUu2KbLqnktLuOe/2jnO23ahKvbZw
 MSHyWJMHrOUyRyWHZVNsXgd5WeO8OQh9rrwX+elqFHJtNzxEgc2vsSbOEO1mk5lktGX5FKy6G
 7FtqZnpSxoO+x7TTsHlSfLtzIggp5ha7RNg2ZKqZulGTBDTXw+008e4RXrX5W3JbwHXgT9fBN
 qoCNjKktTOXd2NuiV3JAXvh+dwoMaym3Rslea/A00jHUCp6B3rlEUlyfGUCIjgkQ7+ETiv+fC
 54ikEIOl5e9CEGV3maVopB9q1VcIbgv0BuYxjjA7WokFXreHaG55ujhvDGz7cNyKNu9MxeJXL
 g8Ri28Dc2NMafuf6HIMT6Hor4negmMIj8Bp7f2EdT+CvJYnJrGwv/DsBPpk3m82rbyxnARiY6
 j98Fm5olPO+AcXjqBKZc8fBR4xeVw/b5qn6JDwz6MilYi9O+XN5dWnNh6bSyvhfKxaXzWwuKa
 dY14Il3X6F+KRpHSkFrgDC2TROwr74Ee6oArTVKB1qXCDcJAjAE3dUd3MPY2lXfSHKAy4MmZE
 blh67QrZGlrF6hembJCo7/DHxnFc3RYujpi14OuuU+P4URYsajJt3cNsLewZEqFZiNz57rgio
 s1krTvfhVPJc+MRHq9rrVbe1AaxUoksWTgAt2MwDYms2lB3+RntpswNx7elLDrOHaZSwbqePd
 NVbTEoqewevlPR+dguV8Pl4iuohn6PRJFajdnAbTF6EqCFGS/PPbzi3eZUuSCJDqv+N+qVlVl
 k5zFzLzcTjTvrFz4Yp4YJ611i39PWAm8n5EjiATzOEFfEycnui2nRJqOVMn6IEDzUtzeTVmvi
 XBg6hyl9O0368K+Dq5xKBsnQRdN9LD13ERle9/GfyGGAsfx2uON3OMDnDunXhFsU3I0NX8IFX
 hvjkDxm4/re69Am/atg7aMjB0j6YYlpNH3PlJyx+FvAgubgU3BNh4ligaCVocFVidFetrzZU+
 aqq+zdbTjV2goCm3/VHWXsW12iAhMDi1OaAoAQjZvnPPZqgIVzhHtK5K7q5X9Z8D9r5PFb1Ya
 1WB1B6s+o4lLRDTabi3M6L1rDKFxOozUwSXB0mmmWi0LJTsB6MFyDzMC7YlySfcg7JZbwVEd8
 tk/EL/6q9j+Be7/9oJe2kDJetcOp3R/cuIhnO8w==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.17.21
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Dear emacs developers, Juri, per default tab-bar uses buffer
names as tab labels.  But these might be very looong:


--=-=-=
Content-Type: image/png
Content-Disposition: inline;
 filename=2019-12-20-unshortened-tabs-tooooo-long.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAAygAAADOCAIAAABaY7GkAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABmJLR0QA/wD/AP+gvaeTAAAA
CW9GRnMAAAAAAAAADwBdsqoBAAAACXZwQWcAAAeAAAAEsAAtCZE7AACAAElEQVR42u2dd1gTyfvA
NyRC6F2aSFNCkSoqSlHQkyICAgpYQEXPDhxnA0XQsxc8Ue88z4rSjq40ASsKoiKigFQBQXrvPb8/
9vvbyyVhsyQBUefz+PiQaTvzzjvvzE5bnLXjpimcRGh0yGRyfXVZX0+nPEmH0nGgv68g+zE0PugY
WGIPnPMiEQKMIrqhwaEpXwRnTtPnnEIkj5DJI2RohEzkIggKE2WVhKfNFJ46jf9LXltBck37577u
vvaXIykEBQhPIHz9khCE1IwWLZ09XYSLg2Ok90vBm6S0txXdZFDFAAAAAPh2mQT9K2A8wRPwA+Lt
5VVv5aW0pxC4cGRITIJXVJyXi0Boq+ypyW7rqR+EBiD8CK63rzNnIB2nMMKBnzIpsj7UVvA4tuDx
pMgLAAAAAABsAQy8vnNwOByeG989taHoS+Z0AXUBHpHWyu6OT70cIxz4YRx+mINjGIcbJtf3VOfh
XkPyg1OIBBwOB+QGAAAAAMB4AAZe3z8cHLgpPPhh2c7Sppd8tWJi+GmCnEKcEBfHMG54aKC9r6kG
qugUaeEU48Tjp4BRFwAAAAAA4wdhaHAAPQSZTB4eHhoZGR4c6KNwhIYG+4H4vhVwOA78FBxOgtw7
2FTeU0/uweEG8TgyNMI5CAnjpvDguQhceDwHEBQAAAAAAOMKzn7dTiAFAAAAAAAAALYTdecSlQsB
gqDjB3chv5WVlYGYAAAAAAAAAFjEwWUXrSOdPV7FxcVAWAAAAAAAAABMEx4eTtcdbOsBAAAAAAAA
mCDAwAsAAAAAAABgggADLwAAAAAAAIAJAgy8AAAAAAAAACaIb2ngVVNT09bWNqmy1NfX9/3pxOQs
1Gi1PwlzOzAwABrIN9FAgMRgyGRyYWFhf3//ZFBjAOsMDQ0NDw9/622BjS16shkitIHXn3/+SSKR
6urqGKaSkZFBIpFu3749fhm9cePGkiVLamtrJ4ng6uvrd+7cef78+e+pubJeqK6uLlNT02XLlrHX
atOt/UlYBV1dXQcPHvT29kYJU15erqKi4u7uDhoIJTk5OQcPHvzpp580NTV1dXWtrKyOHTtWX18P
TMoEkJaWZmNjs3//fuxqPMHQbTUM+x0mOqbh4WEDAwMSiVRZWUk3gLa2toqKyocPH6jc+/v7SSSS
nZ0dVWDS/6Otrb106VJ/f//8/HyMxoTWlmIxsLGxsUuWLOno6Ph22wIbWzTrzWrXrl1aWloVFRVs
zCqdgVdvb29MTMzBgwcvXLgweWRaUFAw1iH8uFJWVpaamjoyMvJNayrbCxUQEPDlyxdvb29OTs7x
rv1JWAUNDQ0RERGDg4MoYa5du0Ymkzdv3gwaCEx3d7eXl5eTk1NCQsKMGTOcnJwsLS0FBQXDw8PN
zc2vXbs2TlUMTAqCtLS0hISEmpoadjWeYMap1dDy+vXrpqYmCIISEhJGC0Mmk/38/DAqD5FIXLx4
8eLFi+fMmcPBwREaGurg4HDp0iUymYweka4txWJgo6KixjqEmmxtgY0tmvVm5ePjMzg46OPjw7DK
sEPnHq/q6uoDBw7A6oUeOTMzs7Gx0cTEhEgkwhrW39//4sWLnp4eKyurb70WAWOlqakpIiJCTU3N
wMAASIMuDQ0NsbGx+vr6GhoaQBoQBPX29rq4uOTl5dnZ2fn4+PDz8yNedXV1AQEBZ86c6ejo8PLy
ArIaP9TV1Z89e/attBqG/Q4rHVN8fDwEQQQCIT4+ftu2baN9uzY/Pz88PHz16tUMMy8iIvLHH38g
P3Nycry8vC5evCggIODi4jJaLLq2FBjYr4KUlJSNjU10dHR2draenh5b0qQz8Jo5c2ZBQQEEQW5u
bs+fP0eJfOvWrSdPnhCJxF27duHx+Obm5oULF7a2tsrIyCxbtgx8bvlHIyIiYmBgYNWqVaDqUZrM
0NDQBLy4fyscO3YsLy/P39/f2dmZyktSUvLUqVODg4NXr15dtmwZiUQC4gKtBsLQ7zDdMQ0ODj54
8GDq1Knz5s27f/9+UVGRiooKbTBRUdG+vr6AgIClS5eKiYmNqSw6Ojo3b95ctmzZ+fPnly9fLiws
TDcYXVsKDOzXYtWqVdHR0UFBQewaeLG0uX7fvn3u7u6ampoRERHDw8MRERFKSkpubm7Ieiq8xH7s
2LGgoCArKyttbW1bW9v79+/TzqUlJyevX79+zpw5pqam7u7uZWVliFd0dDSJRLp//z4EQba2tiQS
ydzcnCr969evW1lZzZ49e+PGjS9fvhwZGfnzzz/t7Oy0tbXt7OwSEhIonwgneP36dcoMrFu3jkQi
tba2Ii5kMjkkJMTJyUlHR8fY2PjIkSN0V81DQkKsra1RikYLmUyOjo6Gs6evr+/u7v7582eqMElJ
Sa6urnPnzjU2NnZ3d6daYC4vLz98+LC9vb2Ojo6+vv6uXbtKS0sRX0QsYWFhVlZWc+bMuXz58ngX
CoKg9PR0CIIWLlxIlZPDhw8HBgbCFbRu3bqkpCSqiCjFQal9FnOLDnOqhU5HR0doaCjlC+sP3kBK
S0sjIyPnzp3r5OQEQdCbN29cXV3nzJmzfv36iooKEol07ty5w4cPQxAUFRUFJMaKWqJbjFevXpFI
pCNHjoypjaBImKEVCgsLc3Jy0tXVXbly5Z07d1xdXUkkErzGx7DVMOx3GAZAsWAdHR0mJiaLFy+G
Rl9t5OLi2rFjR2dn5+nTp5mwLfLy8hYWFj09PSirmbS2dDRHMpkcHBzs6Oioo6NjbW197do12jVi
Vgwsek/ELpuJUZdGa/Xj3U1oamoKCAhkZmaya0GWwEpkRUXFHTt2WFpaurm5qaurV1VV7dy5c/78
+VTBYmNju7u7NTU1VVRUcnNzd+/eDUHQ8uXLkQABAQF//fUXFxeXmppaR0fHgwcPnj59evnyZUND
Q1hNHRwcsrKyqqqqlixZIiQkJC4uTpk+/B6gqakpISHx4sWLV69e6evrp6enKygoqKiovH//3svL
a2BgYMWKFWMqna+vb0REBDc3t4qKSnFxcXBwcE5OTkREBIHwr9Du3bvX2dmJUjS6/PPPP4cOHeLj
45s9e3Zzc3NqampmZmZcXJy0tDQc4Pjx47dv3xYVFdXT0+vu7k5JSXn8+HFYWJi6ujoEQcPDw6tW
reru7iaRSCYmJjU1NSkpKe/fv4+NjaV8f8rMzAwKChIXF+fk5KypqRnvQvX29ubm5ioqKiKlQAgP
Dx8eHlZSUpKXl8/Ozn716lV1dTXy/opeHIa1j57bkydPJicn+/r6wpaU0lpRvTXCLQqPx4+fagUH
B/f09GzevJnq0T9sA4FNsKenJw6HS09P37Jly+zZsw8dOlRYWLht2zYIgkgkkoCAgJKSEjwHDyTG
XPYwWowxgS5hdCt0+PDh0NBQIpGoqqra0NBw9OhRDg4O7K2GYb+DsWOiJTExEYIgc3NzbW1tIpGY
kJDg5eVFd3rJ1dU1NjY2Li7OwcFh7ty5Y5XeihUr7t+/n5eXh92WjmZg/f39w8LCuLm51dTUqqur
z5w5Q5UaKwYWvSeia12ZaDsYdQml1bPYTTAEj8cbGBgkJSUVFhbCZf+aAy8Ignp6erZs2VJbW/v3
3387OTnt2LEjLi5OVlaWMkxfX19ERASc3efPn7u5uf31119ImYuKiq5evSorK3vz5k044oMHDzw9
PY8cOZKQkDBlyhRdXV1dXd3du3fD7UdVVZUqDwMDA8HBwTo6OmQy+dSpUzdv3kxPT9+wYcO+fftw
OFxmZub69esDAwPHZCVzc3MjIiKUlZVv3bolKio6MDCwcePG7u7uioqKGTNmIME6OztDQ0O1tLTo
Fm004G0ESUlJU6dOhSDow4cPX758QZpTbm7u7du3DQwMLl26xMPDAxuvjRs3+vr6RkdHw0rg6+ur
p6eHRLlw4cIff/zx9OlTW1tb5CklJSX79u3bsGEDBEHwa/e4Furz589DQ0OKioq0XkQi8dq1a7q6
uhAE5eTkuLm5Xbx40cbGBi4+enEY1j5Kbvv7++/cuTM0NBQeHo6Yho6OjsOHDz969EhUVNTExMTR
0XHGjBnDw8OrV69WVFQ8ceLEOKlWX19fUFCQrKysmZkZrdeP2UDevn2Lw+HU1NSGh4ePHDkyffr0
mzdvEgiE5cuXv3///tOnT/BCz9SpU7u7u4HEmM4eRouBHYYSRrFCeXl5oaGhioqK169fl5aWhqf/
Dx48OKZWw7DfwdIx0Q530tLShIWF582bh8fjjY2NU1JS3r17p6OjQ6fjJBCOHDni5OR0+PDh2NhY
yiJjQV5eHoKgqqoq7LaUrmN+fn5YWJiiouLNmzclJSXJZHJKSoqXl9fQ0BDloIE5A4veE9G1rkwo
J3ZdQmn1rHQTGIElX1ZWxpaBF6v3eF26dKmysnLHjh1KSkqHDx/u7u6GlwYoMTIyQvJqaGiopqZW
WlqKTIeGhISQyWQvLy+kVZiZmVlaWlZWVr548QJLHhYuXAi3DRwO5+rqCrcKDw8P+E1l/vz5JBKp
pqZmTMdr4W9benp6ioqKQhDEycl569atmJgYShMJFweuS7pFGw0BAQFYieHZTg0NDcp5UfjR3t7e
sK7DRdDX18/Pz0eWLaytrSnfe2CrVFhYSPkUZWXlDRs24HA4HA4nIiIy3oWC80b1ngFjZ2cHj7og
CNLR0Vm7dm1/f39cXBwSAEtxRgMlt1xcXJ6enlpaWm5ubkj4vXv3xsfH9/T0VFVVBQUFLVu2zMLC
YuHChe/evVuwYMH4qVZ0dHRLS8umTZuoJtV+5AbS1NQkLS3Nzc39+fPnz58/m5mZIXM/EhISU6ZM
UVBQgCCotrZ2+vTpQGKsZI+VJkYLdgmPZoV+/fVXOD84HM7e3n60SaPRWg3DfgdLx0TF48ePe3t7
ly5dCj8Ltskoq4E6OjqrVq0qLS1l4h4leGdYQ0MDdltK1xEWppeXl6SkJCxMMzMz2pEic7WP3hPR
ta5MKCd2XUJv9Ux3ExiBpwlaWlogdsDqwGvr1q07duyA1wUsLS337t3r5+dHFYZqanTatGlkMhm5
HuzTp08QBFH1efDP8vJyLHmQkZFB/paQkMDhcJKSktzc3IijlJQUorgYgS9xodxJR7kcQFkWlKLB
K9MI8PQmBEHbt2/n5ubeu3evvb19XFwc1b2FsEAiIyNPUdDc3AxBELIw/+7du59//nn+/PnwijU8
hdbZ2UmZjqqqKtUk+bgWChYvrJ1UUGUDnkCmrFwsxRkN9Nxu3rz5n3/+mTdvHvyzu7v78ePHP//8
89u3bzMyMo4fP25gYNDU1EQmk3/++WdLS8txUq3h4eHr16+LiorSnWD4YRsIFxdXZ2cnmUyGJ7SQ
9aahoaG3b9/Ky8sTCITKysry8nKqPa0/rMSYzh4rTYwW7BKmtULwJiGqkRbd5TyUVsOw38HSMVEB
ywR5B160aBEXF1dSUhLKtp7du3cLCwtfunQJWUXFCGzP6b6mjmZL6TrCwkTs22jCZK72GfZEVNaV
OeXErkvorZ6VbgIL7B14sbrUKCAgQHmpHdXgl64ewOYGuUm2vr4ej8cLCgpShoE1EuNlJJTpc3Bw
cHBwUE380s4xMKShoQGHw8FTUyhQpUxVNH5+fmSmB4Ig+PUdgiB1dfX79++fP38+OTl57969p0+f
9vX1RRo8XLW3bt2ifRw8gZybm7t27dqRkRFDQ0NRUdHKykqqXb0wVCId70LBF6VgOW5D9baHsTjM
5ZY28M2bN3V1dYlEIi8vr729vb29/QSoVlJSUnV1tZeXF3y+HTQQxEbn5+c3NDQoKSnx8vJGR0db
WFiIiIicP3/+y5cvM2bMqK+v9/f3FxcXp1rU+2Elxlz2WGxitGCXMK0VguNS3hvCRKth2O9g6Zgo
6ejoePbsmZCQEDKM4OXlNTIySktLe/Xq1Wj7wwQFBffv379v377jx4+fO3cOuwDhUTjlGIUSuraU
rmNdXR1DYTJd+wx7Ira0Hey6hN7q2dhNTAAE6GszderUysrK9vZ2ISEhxLGxsRH6/6Ex2+Hi4qJV
HaoL1sTFxT9//tzR0UFrOLCjoaERGhpK10tWVjYgIGD//v1BQUF379719PS8fv06fGxHVla2srLy
5cuXo+17vX79+tDQUEREBHIXVH5+PtWNyXQZ10LB1Uf3XBIV8DsTPDfOSnGYgEgk0q4njjdkMvnv
v//m4eGhvTHhB28g8Daa2NjYLVu2eHt7+/r6wrsuVFVV/f39/f39jY2NxcTEbty4AWcJSIw52N7E
WJGwhIREZWVla2srvPI4Tq1mrKSmpg4ODra1tSG3yCLEx8ejbMy3sbGJiopKTU19+vQp9sfFxMTA
tpSuL11bStdRRESksrKyra0N5ZAE07XPsCdiCxPfWpkDljxlJlnh63+rEZ4yycjIoHSEfyKzKZSt
kfUnwtX55csXSkeqn3JychAEZWdnIy6tra1j2tKBUed279598eJFMpl879492HHmzJkQBKHcZ1hc
XCwpKUnZaOFdIwwZ10LBGgk3GPRae/36NfT/20vHVBw2Xhw8kTx//rywsNDZ2ZnhbMeP1kCsrKzE
xcUvX75cWVm5cuXKiIiIX3755ezZs0FBQU5OTvfv379x48bDhw/HeoPXj2xS2Gsx2CJhKuCGTzVM
oV3OY7HVjBV4L9eSJUtW/Bdubu6UlBSU7/PgcDh/f38CgRAQEIDxWeXl5YmJidzc3MuWLcNuS+k6
wkr16NEjSkeqET/TBpZhT8QWWNElLKVgF7Dkv5+Bl5OTEw6HCwgIQI54pKSkJCYmysnJUZ4mhecG
4TAsWisFBYUpU6YkJCRUV1fDLvfv36ea1YRXoM6fPw9Pt/b39+/atWv+/PmZmZmsFzknJ+eXX35B
Vot5eXkhinlUFxeXKVOmnD17Fl78hiCoqKiIsmnJyMjU19cjH/zq7e09e/YslueOa6EUFBTweDyS
Z0qioqKQbZKFhYW3b98mEonW1tbYi8N07d++fXvNmjWUvd3Ec/XqVQKBAO8zBQ2EEm5u7pMnTw4N
Da1cuTIuLm7WrFlbt25dvny5gIAADodTVlY2MDCguzgLTMqYYNpijNaOMEqYLitXroTlAO8Tgu/0
evXqFXtbzZhoamrKzMyUlJQMDAw8+V/MzMw6OjrQLxJXUlLavHkzlu2DZDI5Kytrw4YNg4ODXl5e
ow2A6NpSuo6wMC9cuABv9iKTyTExMVTmjmkDy7AnYot1ZUWXxqmboFsuuH7hwSjrfP2lRnV19Q0b
Nty4cWPZsmXq6uqdnZ0lJSVEIvHQoUOUm0+VlJQgCPLz87t79+7g4GBYWBjTTxQWFnZycrpz546V
lZWmpmZnZ2dBQQGRSKRc8dXT07O2tr53756pqamysnJxcXFvb++sWbPmzJnDepGTk5MTExNTU1Ph
0x+5ubk4HA4ZiEhLS+/Zs+fEiRO2trba2toDAwPv37/n5ORMTU2FV77XrFnz/PlzR0dHQ0PDoaGh
N2/eYBzjj2uheHh4Zs2alZubW19fLyEhQek1PDy8ceNGOTk5YWHhvLy8oaGhPXv2ILtEsRSHudrv
7+8/ffr00NDQ1atX//rrr6+i3u/evXv16pWDgwOVTEADgTE0NLxy5cqePXv27t37+++/q6ioKCgo
tLe3V1dXb9q0ycjICEiMdZi2GKO1I4wSpoumpqazs3NoaKitre2sWbPq6+tramq4ubl7e3vZ2GrG
apBHRkZsbGxot+7Z2dnFxsbGx8ebmpqipLB169b4+Hi610O0tLRs374dFmNFRUV1dTUHB8eOHTvW
rVs3JltK11FPT8/GxiYuLs7KygoRJhO1T7ctoPdE7LKurOjSeHQTdMs1MjLy/Plz+LI0tqjc15/x
giBo3759586d09LSKi0t7e7uXrp0aXR0NNVo18nJadGiRb29veXl5SYmJiw+cf/+/R4eHlJSUrm5
uUNDQ+fOndPU1KQKc+rUqf3798+YMaOoqEhISMjV1RW+ZIj18np7e1+4cMHY2LisrKyoqEhTU/Pq
1auUe49cXV2vXr06d+7coqKi+vr6xYsXBwcHI0dgTE1NL1++rKqqmpWVVV5ebmlpeffuXYyPHr9C
QRBkbGwM/f/1ypSsWrXKw8ODk5OztLRUW1s7MDBw06ZNiC+W4jBX+1xcXKtXr5aQkEDfQT+u/P33
3zgcjrK8oIHQqs3Dhw+9vb01NTWrqqru3LmTlpbW1NQEm1EgMdZhxWKM1o6wSHg0/Pz8/Pz8lJWV
CwsLhYWFz5w5o62tDUEQ8uFntrQa7MDrjHRPHM+ZM0dGRubRo0eU40JaiETiaKcm+/r6Hj58+PDh
w+zsbDwe7+zsHBkZ6e7ujn4Oia4tpet46tQpb29vFRWVwsJCPj4+b29vqiPArBhYlJ6IjdaVFV1i
ezdBt1x5eXmtra0GBgZMnKqhC85+3c7jB3chv+FXMQgAGDuNjY2LFi1SUVGJjIyEzUpGRsaGDRtc
XFzgz67/aJSVlVlaWi5duvTixYtAPQCA0VixYkV1dTW8+xO0GoieLR3NETAB+Pj4REVFBQUFUd2d
wZDw8PDckoaoO5eo3CfFjBfg+0BcXNzR0TEvLy8rKwtIA4Kga9euQRAEPokNAKDQ3Nz86dMn5I5c
0GqgUWwpMLBfhbq6unv37unp6THxbajRAAMvADvx8vIyNzcHdgGCoL6+vp6eHhcXF9olJwAAANPS
0uLt7d3X1wdvcgWtBoGuLQUGduJ5/vy5sbHx0aNH2TjL+PU31wO+J/j4+C5cuEDl+GPOihOJRFpR
AAAAmJiYmLS0tKysrM7OTi0trbVr14JWQwldW0rXETCuODg4ODg4sDdNMPACjCMEAmHDhg07d+4E
ogAAAJSIiYm9fv165syZlpaWzs7O7Nq2DABMfsDACzCOzJ07l43r4gAA4LvByMiI9vouAOBHgM7A
C/4mOQAAAAAAAACAOXx9fR1cdtG6EyAIUlZWpgoK5AUAAAAAAADAdv434wXu7gIAAAAAAABgF6Ot
H4LrJAAAAAAAAAAmCDDwAgAAAAAAAJggwMALAAAAAAAAYIIAAy8AAAAAAACACWJSD7yGhoaGh4fH
FKWmpqatre0HqbzRCtvX1wc0G4FMJhcWFvb39/9QpWai7XwTYh8YGAC1MJG1wF6L+tUF8m1ZDLo5
oa2RH9PEfdPQGXgVFRX5+PiYmprOmjXLwMDAzc0tOTmZTCZTBdPW1ib9F2NjYzgww6d2dXWZmpou
W7YMxYzGxsYuWbKko6MDe2Fu3LixZMmS2tpa1uWSlZW1efNmAwOD2bNnOzo6RkVFjYyMTKqao1vY
+vr6nTt3nj9/fuLzMzw8bGBgQCKRKisr6QbQ1tZWUVH58OEDlXt/fz+JRLKzsxtNu7S1tZcuXerv
75+fn48lJ1TalZaWZmNjs3///h+nVWNsO+Pa0lkUe1dX15YtW7S0tBYtWhQcHAy7HDx40NvbG9TC
hNUCGy0qxJRJ/xaFxkZoc0K3RsYpw7t27dLS0qqoqGCj42SoX8TCUA1CaG3O+EE98IqKirKzs4uK
ihoaGtLV1RUVFX3+/LmHh4eXlxftmwoXF9ei/2fhwoUCAgIZGRkeHh4BAQHoTw0ICPjy5Yu3tzcn
J+doYaKiosba4AsKCtjyOhUUFOTi4vLs2TN+fn55efmCggIfH5/9+/fTVvxXhG5hy8rKUlNTv8oY
8fXr101NTRAEJSQkjBaGTCb7+flhrCMikbh48eLFixfPmTOHg4MjNDTUwcHh0qVLDGuBSrukpaUl
JCTU1NQmT92NN1jazni3dBbFHhQU9OTJE2FhYTk5uffv30MQ1NDQEBERMTg4CGphwmqBXRYVu0Aw
pjOZhcZGaHNCt0bGKcM+Pj6Dg4M+Pj6UJpdFx8lQvzC0gxBamzN+/Ofm+vfv3/v6+hIIhGPHjllb
W3NwcEAQVFZW5unpmZiYOH369F9++YUyvKio6F9//UXpkp+fv379+mvXrq1cuVJWVpbuI5uamiIi
ItTU1AwMDCahuSwqKjpx4gSRSPz777/hz93U1ta6uLjExcXZ2NhMzjxPBuLj4yEIIhAI8fHx27Zt
G+3D2Pn5+eHh4atXr2aYoIiIyB9//IH8zMnJ8fLyunjxooCAgIuLy2ixaLVLXV392bNnoIImuKWz
KPZPnz5BEPT7779ra2tPqheeH6oWgNC+LhhzMk4ZlpKSsrGxiY6Ozs7O1tPTY4vjZKhfaJRByETa
nP/MeF27dm14ePjAgQO2trZwgSEIUlJSun79Oi8v7507d7q6uhhqgJOT0/Dw8Nu3b0cLExERMTAw
sGrVqtH65q/L9OnTT506FRAQgHxkUEpKytXVFYKgN2/efE8mjI0MDg4+ePBg6tSpFhYWZWVlRUVF
dIOJiory8vIGBATAc2NjQkdH5+bNmwQC4fz5862trd+odk0SJqalswL8asvLywtB0PdalZO/FoDQ
fnBWrVoFQVBQUBAbHSdD/dLtJibS5vw78KqpqUlNTRUVFaXabQNB0NSpU62trbu7u6OjoxmmKCMj
A0FQS0vLaAHS09MhCFq4cCGlI5lMDg4OdnR01NHRsba2vnbtGu2aQnl5+eHDh+3t7XV0dPT19Xft
2lVaWgp7RUdHk0ik+/fvQxBka2tLIpHMzc0p4yYlJbm6us6dO9fY2Njd3R1l4Zmbm9va2nrx4sWU
jng8HoIgcXFxxCUjI4NEIh07duz69etWVlazZ8/euHHjy5cvR0ZG/vzzTzs7O21tbTs7u4SEBNqx
c3Jy8vr16+fMmWNqauru7l5WVkbpi6QcFBRkZWWlra1ta2t7//59JB2GhYUgKCQkxNramjYuLOro
6Gg4h/r6+u7u7p8/f2ZRjdLT0zs6OkxMTGC5jbbayMXFtWPHjs7OztOnTzPxFHl5eQsLi56eHpTV
TFrtevXqFYlEOnLkCBPFh0V9/fp1Ssd169aRSCRk8MewvijDhIWFWVlZzZkz5/LlyxiVE0Xtsbcd
SiampTMt9rS0NBKJlJiYCEGQlZUViURyd3cfLQ9YhBMWFubk5KSrq7ty5co7d+64urqSSCTKoT+W
MAyr6TurBYZGBt2IYRcIw3S+IaE1NzeTSKQtW7ZQdvAkEony+vJt27aRSKS6ujosCkyZE5Qaocow
FouEUe01NTUFBAQyMzMp1/hYdPzq9UvbTYxmc9Dt9phUl4p/B17v3r0bGRmxtLScMmUKbThLS0sI
grC8IuTm5kIQNH36dLq+vb29ubm5ioqK0tLSlO7+/v5HjhwpKipSVVVta2s7c+ZMTk4OZYDh4eFV
q1aFh4ePjIyYmJjIy8unpKS4ubnB/Z+8vLyDgwM8r7hkyRIHBwdKM3H8+HFPT8+SkhI9PT0FBYWU
lJTly5cjO7VPnjy5aNGihw8fjlai2tramzdv4vF4Y2NjKq+IiIhz587x8fFJSEi8ePFi06ZNP//8
8++//97T06OiolJYWOjl5RUbG0sZJSAgwMPD4+3bt0pKSkQi8cGDB3Z2ds+fP6dKOTY29uTJk3x8
fCoqKkVFRbt374bX8hgWFoKge/fuHT16lIeHhzYuBEH//POPt7d3ZWXl7NmzJSUlU1NT7e3ta2pq
IBaAVdbc3HzhwoVEIpHucBPG1dVVWVk5Li7u1atXTDxoxYoVEATl5eWNSbsoQS8+Q2UYDZT6QsjM
zPTz82tra+Pk5ESeiK6c6GqPse1QMTEtnWmxS0tLOzg4TJs2DYKgn376ycHBYf78+XTTxCKcw4cP
+/n5ffz4UVlZubm5+ejRo7SKhyUMejV9f7WAbmSwGDEsAsFoDL8VoYmKis6YMePdu3eI9Xvx4gXy
PwRBZDL5/fv3cnJykpKSGBUYgaHZH6tFwqL2eDzewMCgo6OjsLCQXY5fvVHQdhPoNoeu3R6r6lLx
7x4vOEV5eXm64eD6RumeyWRyQ0PD/fv3Y2NjJSQkjIyM6Ab7/Pnz0NCQoqIipWN+fn5YWJiiouLN
mzclJSXJZHJKSoqXl9fQ0BBlFfr6+urp6SHCunDhwh9//PH06VNbW1tdXV1dXd3du3dXVVXt3LlT
VVWVsg5u375tYGBw6dIlHh4eWI4bN2709fWNjo7u7++/c+fO0NBQeHg41SwXBEEHDhwoKSn5+PEj
Ho8/e/YsXDGUDAwMBAcH6+jokMnkU6dO3bx5Mz09fcOGDfv27cPhcJmZmevXrw8MDISHCxAEFRUV
Xb16VVZW9ubNm7BIHzx44OnpeeTIkYSEBEpt6+vri4iIUFdXhyDo+fPnbm5uf/311/LlyyEIQiks
TGdnZ2hoqJaWFm1c6P83YyUlJU2dOhWCoA8fPnz58gVlpMKQ3t7etLQ0YWHhefPmwcPTlJSUd+/e
6ejo0FE4AuHIkSNOTk6HDx+OjY2l28BQgPWzqqoKu3ZRgVJ8dGVAB6W+EEpKSvbt27dhwwYIgmDb
iq6cDNUeY9uhYmJaOtNiV1NTO3bs2C+//FJdXe3h4TFz5szR0mQonLy8vNDQUEVFxevXr0tLS8NT
FwcPHqRMBEsYhtX0/dUCipHBYsSwCAS7MfxWhAZB0Ny5c0NCQj5//iwnJzcyMpKZmQlry/DwMB6P
r62tbWpqMjExwajAlDA0+2OySFjUHgY2p2VlZXBSbHH8uo2CtptAtzm0dpsJ1aXi3xkveIJRRESE
bjjYvbGxkUpMyDFOFRUVY2PjM2fO8PPz//HHH6MdV4TzTblmB/3/hyS9vLzg9wAcDmdmZkbbbVtb
W1OOD8zMzCAIYjiUhhP39vaGLSYEQfPnz9fX18/Pz29tbeXi4vL09NTS0nJzc6ONm52dnZubOzAw
0NfXl5WVRWtGFy5cCOcTh8PB+8AIBIKHhwe8Qjx//nwSiVRTU4OcoA4JCSGTyV5eXsimPzMzM0tL
y8rKSuStCMbIyAjRVENDQzU1tdLSUoxHugwNDeFRF924AgICsC2AX8s0NDTQ35wY8vjx497e3qVL
l8ILsnBqKKuBOjo6q1atKi0tvX379lifJSYmBkFQQ0MDdu2iAqX46MqADpb6UlZW3rBhAw6Hw+Fw
cINCV04sao+x7VAyMS19YsSORTi//vorHAaHw9nb2yN7N8caBqWafqhawGLEsAgEuzH8hoQ2b948
CILevXsHQVBBQUFbW5uenl5HRwc8SQ+7w2FY6dRYt0hY1B4GHm5SLdux6Ph1GwWWbgLdbjOhulT8
O+MlKiqK5ImW5uZmpNtD4OLiQmbkXr9+3d3d7enpuWbNGlhTUcoMVwYCvFuCUh0hervb3r1798cf
f3z48KG3t1deXt7Q0BCCoM7OTvQSwkcVIiMjkZ16SHFKS0vnzJmzefPmzZs3042bnJzc3d398ePH
U6dOhYWFcXFx+fj4UAaA15JhJCQkcDicpKQkNzc34iglJVVUVNTa2grLBM7MggULKBNZsGBBfHx8
eXn5okWLEEeqKahp06YVFBTU1dWNdkyDKjBK3O3bt7948WLv3r23b992dXU1Nzfn4uJipYXDb4SI
MVq0aBEXF1dSUpK3tzc8FKNl9+7dqamply5dsrS0hBUPI3DFjdZm6GoXFejFR1EGdLDUl6qqKpVW
M1ROhmqPse1QMjEtfWLEjkU4VN0JlXCwhGFYTT9ULWAxYlgEgt0YfkNCg9tsTk6OjY0N3Afv27dv
5cqVL1680NLSgpfA4DCsdGqsWyQsag8zkQOvrzgIQWE0uz0m1aWCQFVP1dXVdMPBt2JS1SXlSc5L
ly5dvHixv78fXaHhK6aoilFXV4fH4/n5+VEi5ubmrl27dmRkxNDQUFRUtLKykmrL82jAVX7r1i1a
L5SFAAReXl49Pb0rV66YmpqGhYXt3buXQCDQ1VQODg4ODg6qaUaqkUd9fT0ejxcUFKR0hIcRVDfc
UIkIfijGK+mpHkoVV11d/f79++fPn09OTt67d+/p06d9fX2ZnvTq6Oh49uyZkJAQYmR5eXmNjIzS
0tJevXo12u4cQUHB/fv379u37/jx4+fOncP+OFgPKce7DLWLCvYWf0z1RVXvWJSTodpjaTt0LfJ4
t/QJEDtD4cDNDV04WMIwrKYfqhawGDEsAsFuDL8hocHbvOAB1osXL9TU1DQ1NVVVVTMyMrZv356b
m4ts8IJY6NRYt0hY1H7i+YqDEBRo7TYTqkvFvy9wWlpaOBwuKSmJ7gGEe/fuQRCkq6s7WkLr1q2D
T3uiX0wsJCQE/f+MIoKIiMjw8DD6hymuX78OL6VfvXr1xIkTISEhkZGRWEoID/BfvnxZRAPKpl3a
5qSoqNjf3081zzlWpk6dOjw83N7eTukIpyklJTVh+i0rKxsQEPDkyZPNmzfDrwgYJ0hpSU1NHRwc
bGtrU1NTQ6Z809LSoP+fCRsNGxubuXPnpqamPn36FPvjYmJiIAjS0NDArl2sFB9+taUaoLPxflqG
yslQ7bG0HSompqWPq9ZhtAkSEhLDw8Mol49gDMOwmn6oWsBixLAIhAlj+E0Ibe7cuUVFRc3NzW/f
voUnP0xMTN6+fdve3p6fn085ycR0p8Y6WNQeBjansGlll+PXbRQYuwn2qi4V/w68pk2btnjx4tra
WviEGiXV1dWJiYm8vLy0hzwRBAUFV69e3dXVhX5pB1xmquGLnJwcBEGPHj2idKTq3oqLiyUlJSl7
3NGWqKjO08Eb5bDfLxcYGGhoaEj13Zvh4eHq6mpubm7s85N0UVBQgCAoIyOD0hH+CXuNFVbueZs6
deru3bsvXrxIJpNhnWYCeC/XkiVLVvwXbm7ulJQUlE9C4XA4f39/AoHA8IphhPLy8sTERG5u7mXL
lmHXLlaKD7eiL1++UDpS/WQFhsrJUO2xtB0qJqalj6vWYRQOvEuXamRPZdOxhGFYTd93LVAZGSxG
DItAmDCG34TQ5s2bNzw8fPv27cHBQXgfvamp6fDw8N27dwcGBiiXX7F3amw0+9jVHgY2p1QjJxYd
v26jGFM3QRfW+/H/XKC6efNmDg6OQ4cOJSUlIY3k48ePmzZt6uvrW7NmDfrM5Pr167m4uG7fvo2y
RK2goIDH4+ElUoSVK1dCEHThwgV44ZlMJsfExGRnZ1OGkZGRqa+vR85v9/b2nj17lipxeDYVPvKG
jHldXFymTJly9uxZ5KFFRUWUFuH27dtr1qxBHsfHx9fS0rJjxw5k7NXT0+Pv79/R0WFqajrapiWM
ODk54XC4gIAA5FxeSkpKYmKinJwcvLqPHbqFxUJOTs4vv/yCLLpT3RdHJQ2qn1Q0NTVlZmZKSkoG
Bgae/C9mZmYdHR3ox2uVlJQ2b95cXl6OxdBkZWVt2LBhcHDQy8trNPNEV7tYKb6CgsKUKVMSEhKQ
2e/79++z69N1WJSTodpjaTu0TEBLZ0XsGMEonPPnz8N3I8EXF1GdmccShmE1fa+1QNfIYDFiWATC
nDGc/EKDt3CFh4eLiorOmjULgiB1dXUxMTH483+UG7ywdGrsMvtUYFF7GNg+Ux30Y9Hx6zYKLN0E
Oqz34//5ZJC2tvaRI0f8/Pw8PT0lJCTk5ORaWlrgijEzM/Pw8EBPS0xMbNWqVXfu3Ll79+62bdvo
huHh4Zk1a1Zubm59fb2EhATsqKenZ2NjExcXZ2VlNWvWrPr6etojo2vWrHn+/Lmjo6OhoeHQ0NCb
N29oR/1KSkoQBPn5+d29e3dwcDAsLAyCIGlp6T179pw4ccLW1lZbW3tgYOD9+/ecnJypqani4uL9
/f2nT58eGhq6evUqvFTs6uqam5ubnJxsbm6urKzMyclZVlbW3d2toKDg7+/PYkerrq6+YcOGGzdu
LFu2TF1dvbOzs6SkhEgkHjp0iHLrGBboFhYLycnJiYmJqamp8CGj3NxcHA5nbW0NQRCVNGiFQ5vU
yMiIjY0N7XjUzs4uNjY2Pj7e1NQUJTNbt26Nj4+nez1ES0vL9u3b4VxVVFRUV1dzcHDs2LFj3bp1
o6VGV7uYLj4EQcLCwk5OTnfu3LGystLU1Ozs7CwoKCASiRg32zEEXTmxqD2WtkPLBLR0VsSOEYbC
0dTUdHZ2Dg0NtbW1RYTDzc3d29s7pjAMq+l7rQW6RgaLEcMiEOaM4eQXGrzNq7S01N7eHj6NwcHB
sWjRosjISMoNXhg7NXaZfSqwqD0EQSMjI8+fP+fm5qb8ECSLjl+9UWDpJsa7H6f+SPbKlSujoqJW
rFiBx+NzcnJaW1sXLFgQEBBw4cIFLCm6ubkRCISbN292d3ePFga+hhS+Ohbh1KlT3t7e8KWjfHx8
3t7eVF93MjU1vXz5sqqqalZWVnl5uaWl5d27d6lSdnJyWrRoUW9vb3l5OXJXCgRBrq6uV69ehZfe
6+vrFy9eHBwcDFtMLi6u1atXS0hI2Nvbw4HxeHxAQMCpU6e0tLTq6uo+ffqkpKS0Z8+euLi4MW3J
HI19+/adO3dOS0urtLS0u7t76dKl0dHRY53uQiksQ7y9vS9cuGBsbAx/20dTU/Pq1avwAQ0qadAK
hwp4nZH2yhkIgubMmSMjI/Po0SOqlkwFkUj08/Oj69XX1/fw4cOHDx9mZ2fj8XhnZ+fIyEh3d3f0
TZF0tYu54sPs37/fw8NDSkoqNzd3aGjo3LlzmpqaEPtAUU6Mas+w7dBlAlo6K2LHAhbh+Pn5+fn5
KSsrFxYWCgsLnzlzRltbG4IgyqPmWMKgV9P3WgujGRksRgyLQJgzhpNfdeGNXJSn2+D3T8rpLowK
zC6zTwsWtc/Ly2ttbTUwMKB8tWbRcTI0CobdxHj34zj7dTsjgy4WFxdDE0VjY+OiRYtUVFQiIyPB
B/UAQLsAE8mKFSuqq6tfv37NYhgA4LtvGj4+PlFRUUFBQZRb01h0nAxMWDcRHh6eW9IQdecSlTvH
xJdZXFzc0dExLy8vKysL6DoAaBdgwmhubv706RP6t2KwhAEAvvumUVdXd+/ePT09PcqTmCw6ThK+
ejdB+CpP9fLyam5uzsrK0tfXBxoPANoFmABaWlq8vb37+vrgDTpMhwEAfoSm8fz5c2Nj4z179lDO
CbHoOHn4ut3EV1hqBAAAgIkkJiYmLS0tKyurs7NTS0srNDSUdtMJljAAwA/YNABMM9pSI+GHlAYA
APiBEBMTe/369cyZMy0tLZ2dnel2LVjCAAA/YNMAsB0w8AIAAN85RkZGdO8oGmsYAOAHbBoAtvO/
gRf8rXIAAAAAAAAAAOv4+vo6uOyidScg3kBGAAAAAAAAAOPK/wZeYHM9AAAAAAAAALsYbS2R4weT
AwAAAAAAAMBXAwy8AAAAAAAAACYIMPACAAAAAAAAmCDAwAsAAAAAAABggvhWB15kMrmwsLC/vx9U
4Vehr68PvXaKiorQwzBBTU1NW1sbUB4A0HCg4T8mQ0NDw8PDX0WpJrJ9ffd8qwOvtLQ0Gxub/fv3
j0fiOTk5Bw8e/OmnnzQ1NXV1da2srI4dO1ZfX489heHhYQMDAxKJVFlZSTeAtra2iorKhw8fqNz7
+/tJJJKdnR1VYNL/o62tvXTpUn9///z8fCw56erqMjU1XbZs2cDAAFuE09DQ4O7ufv78eZQwDx8+
tLa2Zm/t3LhxY8mSJbW1tShhlixZQiKRkpKSIAiaN28eiUR69OjROClPQUHBnj17Fi1apKGhYWJi
4u7unpOTQ1vLpP9ibGzs5uaWnJxMFdLAwGDevHnIT2NjY9LofPnyhW6sMeVtTLpqYmLCutgRioqK
fHx8TE1NZ82aZWBgAAuETCYzLT32AjR8rAYHS4UuXbqURCJ1dXUhLvX19SQSycfHhzJYWFgYiUS6
evUqE6ZyNOHs2rVLS0uroqLim7PeVMTGxi5ZsqSjo4O9SoWR8vLyAwcOLF26VFNT09zcfO/evdXV
1bTBsrKyNm/ebGBgMHv2bEdHx6ioqJGREcoA9fX1O3fuRG9fk5mxqhNdvtWBl7S0tISEhJqaGnuT
7e7u9vLycnJySkhImDFjhpOTk6WlpaCgYHh4uLm5+bVr16h0aDRev37d1NQEQVBCQsJoYchksp+f
H8bXFyKRuHjx4sWLF8+ZM4eDgyM0NNTBweHSpUu03RUVAQEBX7588fb25uTkZIuISktLHzx4gC4H
aWlpSUlJ9tZOQUEBQ1kJCAhAECQoKAhBkJCQEPI325UnKirKwcHh3r17eDxeV1eXQCA8ePDA2dk5
LCyMKiQXF9ei/2fhwoUCAgIZGRkeHh4BAQEo6Wtra8/9f3h4eCAI0tPTQ1y4uLjYkjfsusoWsSPZ
s7Ozi4qKGhoa0tXVFRUVff78uYeHh5eXF239Mic9oOGsazh2g4OxQtXV1aH/3luUmZkJQdCLFy8o
08zLy4MgSFNTkwlTOZpwfHx8BgcHfXx8GFrLyWa9aUU91iEUFqXCQnp6uq2tbWRkJA6H09LS6urq
iouLs7CwoBp9BgUFubi4PHv2jJ+fX15evqCgwMfHZ//+/ZQlLSsrS01NxdiTTkLGqk50+VY/GaSu
rv7s2TP2ptnb2+vi4pKXl2dnZ+fj48PPz4941dXVBQQEnDlzpqOjw8vLi2FS8fHxEAQRCIT4+Pht
27aN9nn2/Pz88PDw1atXM0xQRETkjz/+QH7m5OR4eXldvHhRQEDAxcVltFhNTU0RERFqamoGBgYT
WTtqampPnz6deK2A7SzDbolF5cnLy4MvHD5//ryFhQUOhyOTyffv39+3b19AQIClpSXcAcCIior+
9ddfVJW+fv36a9eurVy5UlZWlu4jAgMDkb/t7Ozy8/Nv3LiBPt5iIm9j0lXWxQ5B0Pv37319fQkE
wrFjx6ytrTk4OCAIKisr8/T0TExMnD59+i+//EIZnjnpAQ1n3TxiNDjYK1RdXT0xMbGwsFBXVxd2
ycjIgE1reXm5oqIiosA4HA4epY3VVI4mHCkpKRsbm+jo6OzsbD09vW/Fek8eOjs7f/31VzKZ/Pff
fxsbG0MQNDw8/Ndff124cMHHx+f+/ftwsKKiohMnThCJxL///nvu3LkQBNXW1rq4uMTFxdnY2Exw
HzR+jFWd6AI21//LsWPH8vLy/P39T5w4QTnqgiBIUlLy1KlTlpaWV69eLSoqQk9ncHDwwYMHU6dO
tbCwKCsrGy28qKgoLy9vQEAA/HY1JnR0dG7evEkgEM6fP9/a2jpasIiIiIGBgVWrVjHRm36LwKMK
SpsL/81e/v777+Hh4SNHjlhaWsKCxeFw1tbWt27dSklJoR3ZUKGuru7k5DQ8PPz27duvnjeMusou
sV+7dm14ePjAgQO2trZwJw1BkJKS0vXr13l5ee/cuUO5FDXx0gMaPlaDg71CZ82aBUHQx48f4Z9k
MjkjI0NaWhr6/xEYBEH9/f3FxcVKSkpU5hejqUQRzqpVqyAICgoKYljSyWO9Jw9kMnnNmjVeXl7w
qAuCIDwev23bNiUlpeLiYqQI06dPP3XqVEBAADzqgiBISkrK1dUVgqA3b958T80QuzqNxr8Dr4yM
DBKJdOzYsevXr1tZWc2ePXvjxo0vX74cGRn5888/7ezstLW17ezsEhISUGbYkESCgoKsrKy0tbVt
bW3v379PFaW8vPzw4cP29vY6Ojr6+vq7du0qLS2lqumwsDAnJyddXd2VK1feuXPH1dWVRCIhWv7q
1SsSiXTkyBHKWMnJyevXr58zZ46pqam7u3tZWRlVmtHR0XBB9PX13d3dP3/+jPiWlpZGRkbOnTvX
yckJVhRXV9c5c+asX7++oqKCRCKdO3fu8OHDEARFRUWhyzQ9Pb2jo8PExGTx4sXQ6PPVXFxcO3bs
6OzsPH36NBM1Jy8vb2Fh0dPTgzIfnp6eDkHQwoULMQohOjqaRCJdv36dMpF169aRSCQqAzE8PHzl
ypVly5bBInry5AmlL93aSUpKcnV1nTt3rrGxsbu7O9UaOZlMDgkJcXJy0tHRMTY2PnLkCLKVAc4V
/F5la2tLIpHMzc1RLC/liy/dYRBV9tBlQkVNTU1KSoqEhMSKFSuovObNm4exF5SRkYEgqKWlhb3m
gIm8YdRVdDCKvaamJjU1VVRUlGoTDARBU6dOtba27u7ujo6OZlF6QMNZ1HDsBmdMFQqvexYWFsI/
y8rKGhsb165dy8vL++LFC9ixsLBweHiYap0Ru6lEEY6mpqaAgEBmZibDdbfJY73JZHJwcLCjo6OO
jo61tfW1a9cGBwepwqD0pAyVCl1dqQTr4eGxfv16SkccDicqKkrZErm5ua2trWG5IeDxeAiCxMXF
aZMNCQmxtrYebZDAsEPH0paRAUlYWJiVldWcOXMuX77MeovArk6jQT3jFRERce7cOT4+PgkJiRcv
XmzatOnnn3/+/fffe3p6VFRUCgsLvby8YmNjkfAnT55ctGjRw4cPKROJjY09efIkHx+fiopKUVHR
7t274clbxKKtWrUqPDx8ZGTExMREXl4+JSXFzc2N0vAdPnzYz8/v48ePysrKzc3NR48eZfgF9YCA
AA8Pj7dv3yopKRGJxAcPHtjZ2T1//hwJ8M8//3h7e1dWVs6ePVtSUjI1NdXe3r6mpgb2hQeUnp6e
OBwuPT3dxcVlZGTk0KFD6urq27ZtgyCIRCIJCAgoKSkVFBSg5yQxMRGCIHNz84ULFxKJRJShqqur
q7KyclxcHHPfh4f7V3hXBC29vb25ubmKiorwayUWIWAnPDz8/PnzPDw8CgoKr1+/3rJlS0hICEr4
48ePe3p6lpSU6OnpKSgopKSkLF++nHKHqa+v7+HDhwsLC+EduMHBwa6urkNDQ7CRcnBwgNeVlixZ
4uDggFgQKvWbNWvWggULeHl5IQjS0tIyNjbGsrNtTDJ5//79yMiIubk5bFCYIzc3F4Kg6dOnQ2yF
ibxh11UUMIr93bt3IyMjlpaWU6ZMofW1tLSEIAjLPBa69ICGj59MqAzOmCpUQEBATk6uuLgY7qvg
DV7Gxsbz5s3LysqC5QCnrKWlxZypRBEOHo83MDDo6OhARn6T3HpDEOTv73/kyJGioiJVVdW2trYz
Z85QHZFB70lRlIqhutLt1qmor6//8OEDFxeXvLz8aGFqa2tv3ryJx+ORqTKEe/fuHT16lIeHh+4g
AcLQoWMnMzPTz8+vra2Nk5MTVnsWWwR2dRoN6j1eAwMDwcHBOjo6ZDL51KlTN2/eTE9P37Bhw759
+3A4XGZm5vr16wMDA2Gl6e/vv3PnztDQUHh4OOU4t6+vLyIiAl6nf/78uZub219//bV8+XIk076+
vnp6esiA4MKFC3/88cfTp09tbW1hXQwNDVVUVLx+/bq0tDQ8OD148CBKMYqKiq5evSorK3vz5k1Y
1R48eODp6XnkyJGEhATYLsD1mpSUNHXqVAiCPnz48OXLFyQPb9++xeFwampq8ErN9OnT4dng5cuX
v3///tOnTyoqKhAETZ06tbu7GyUnvb29aWlpwsLC8+bNgxUuJSXl3bt3Ojo6dKRPIBw5csTJyenw
4cOxsbF07RcKsMZXVVXR9f38+fPQ0BCyeQIGXQjY4ebm/vvvv+FCwdtuzp07Z2lpSXdaJTc39/bt
2wYGBpcuXYK3imdmZm7cuNHX1xd+Ic7NzY2IiFBWVr5165aoqOjAwMDGjRu7u7srKipmzJihq6ur
q6u7e/fuqqqqnTt3qqqqwsnSqp+jo6OjoyPsu3bt2rVr12Ipy5hkAp8olJOTY6KxkcnkhoaG+/fv
x8bGSkhIGBkZQWxlrHkbk66igFHssF0bzUzDzRbF9mGUHtDw8ZMJlcEZa4Wqq6tXVlZWVlYqKipm
ZGRMnTp1xowZRkZGjx49+vDhg46ODjwK0dDQYM5UogsHtoRlZWW0G8gmofXOz88PCwtTVFS8efOm
pKQkmUxOSUnx8vKCR6hYetLRlIqhuo7WrVO15V27dvX29m7evJnua96BAwdKSko+fvyIx+PPnj07
bdo0qgCdnZ2hoaHwIJt2kIClQ8dOSUnJvn37NmzYAEEQPCplvUVgUScUqGe8Fi5cCCsZDoeDV2cJ
BIKHhwe8X2T+/PkkEqmmpgaeJOfi4vL09NTS0nJzc6NMxMjICMmNoaGhmppaaWkp5TSptbU1ZSHN
zMwgillo+LuSv/76KxwGh8PZ29sjy8Z0CQkJIZPJXl5eyH5bMzMzS0vLyspKZB4bnnbOzMyE32A0
NDQo3wCampqkpaW5ubk/f/78+fNnMzMzAuF/o1IJCYkpU6YoKChAEFRbW4s+UfH48ePe3t6lS5fC
6gg/AmU+WUdHZ9WqVaWlpbdv3x5r5YmJiUEQ1NDQQNcX1jCqOV50IWBnxYoViDFSV1dfs2ZNV1cX
/LJIC1yh3t7ecCOHFUlfXz8/Px/OJBzA09MTnrvm5OS8detWTEzMjBkzUPIwmvqNlTHJpLGxEYIg
YWFhjInX1NQgh8lVVFSMjY3PnDnDz8//xx9/sOucKdN5G6uusgi8T0BERISuL+wOF4EV6QENHz+Z
UBmcsVYo3Cl8/PhxeHj41atXRkZGOBzO0NAQgiDYSsMzKCQSie2mEoIguItFX9+fPNYbVhgvLy9J
SUkIgnA4nJmZGe34D70nHQ10dWWodcnJyTY2Nnl5ecbGxrt27aIbJjs7Ozc3d2BgoK+vD5nRpMTQ
0BCZ2qQdJGDp0LGjrKy8YcMGHA6Hw+FgtWS9RWBRJxSoB17w/gkYCQkJHA4nKSnJzc2NOEpJSUH/
36lDELR58+Z//vmH6jIhqpHjtGnTyGRyXV0d4vLu3buff/55/vz58PouPPzs7OyEfeHFZqqRFvr2
8E+fPkEQtGDBAkpH+Gd5eTn8c/v27dzc3Hv37rW3t4+Li6O6XZCLi6uzs5NMJsMTWshG0aGhobdv
38rLyxMIhMrKyvLycvSDDHBZkFpctGgRFxdXUlISymLw7t27hYWFL126NNbJ/+bmZmiU5XOkjmD9
QEAXAtPMnj0bqbjRaicyMvIUBXDm4R0J8H05lIJFRr3o0FW/sTImmVBta2AI5YUI8CKIp6dnWloa
vNeYvYw1b0zoKuvZG203MawPcG/EivSAho+fTKgMzlgrFK61wsLC9+/fd3V1wXOW06dPl5WVffHi
RW9vb1lZmZqaGopkmDaVELaecvJYb1jTqOqdthNE70lHg6G6jqZ1ra2tXl5eHh4e3d3d27dvv3Ll
ymhHrZOTk9++fRscHKyhoREWFka7E45qDoxqkIClQ8eOqqoqlehYbxFsHnhR5o+Dg4ODg4NqWg/L
9hGqQsINCbmpNjc3d+3atc+fP9fQ0LCwsODh4aHaH1dfX4/H46kOtqADR6E6WQ3rNHLxibq6+v37
95ctW1ZYWLh3715TU1PKmxhlZGQ6OjoaGhqUlJR4eXmjo6OLi4ubmpr8/Py+fPlCJpPr6+v9/f3F
xcVpdy4jdHR0PHv2TEhICFFZXl5eIyOjpqYmlH0AgoKC+/fv7+3tPX78+JgqD7bmlGNlSuCLUqjq
Al0ITAPPslCOrSmBtfPWrVs3KICPC8FvQg0NDTgcjuF5wHFiTDKBXyqw78SEL0SA2bhxIwRB/f39
41TSMeWNOV1lPXt0L11ElJnqnY0J6QENHz+ZUBmcsVYovL/+48ePmZmZOBwO6VYNDQ1zc3PfvHkz
MjJCu7OeLaZy/FrEOFnvuro6hp0gw550NBiqK12+fPni4OCQkJCgqqoaFxfn4eGBPhjg5eXV09O7
cuUKkUgMCwujSpkqLtUgAUuHjh3aK1fGyUpg5ytcJ3H9+nV4/fjq1asnTpwICQmJjIykDCAhITE8
PDymc7ZTp04dHh5ub2+ndIRnueEpOhhZWdmAgIAnT55s3ry5u7vb09MTmbeEd//FxsZyc3N7e3vX
19cvX77cwMAgPz/f39+/tLTU2Ni4uLj4+vXrKNcppaamDg4OtrW1qampIUskaWlp0P+/S42GjY3N
3LlzU1NTx3Q5UExMDDTKlgjo/49S0552RhECXDSqFoLlpju4JY/29gZPF798+bKIhvnz58MRyWTy
mG5kZi8oMqECfmtnblpo3bp18Bn7cSrpmPLGtK4yjZaWFg6HGy179+7dgyAIueSJFekBDWdFw7Eb
nLFWKLy/vrS0NDMzU1NTE+kOjYyMhoeH4bMLdHfWs24qEUuIcu54UllvERGR4eFh9E/9MOxJUZQB
XV1paW1tXbNmTXV1taur6z///DNz5ky6wWg1QVRUVFFRsb+/n2oXATpYOnSm2zJbWgRDdULnKwy8
iouLJSUlKRUOnrJGgHcdUikxel8Cb8BC7oOBgX/CXlSVunv37osXL5LJZNg6QBBkZWUlLi5++fLl
ysrKlStXRkRE/PLLL2fPng0KCnJycrp///6NGzcePnw42v4DGHg3wJIlS1b8F25u7pSUFJSP9uBw
OH9/fwKBgP1K7vLy8sTERG5u7mXLltENAOvEaOpOVwiwTiNfpIGh+glDddIHfiMc7UJLuJWi3OgI
7wfPzs6mbOd0eylWLgvG0tppZUKb1UWLFjU0NNDauKdPn2ZlZaG0fEFBwdWrV3d1dbFyAQwKY8ob
07rKNNOmTVu8eHFtbS3tTqnq6urExEReXl7aiwmYlh7QcOY0HLvBYaJC1dXVa2trc3Jy4K1dMPBO
9sePH0M0d9azxVTCwJYQpaecVNYbVhiq70FR2RaGPeloSsVQXWkJDAysra3ds2ePj4/PaNsrAwMD
DQ0Nqb6zNDw8XF1dzc3NTbXpBR0sHTr2tjweLYKhOqHD6sDr9u3ba9asoTQoDJGRkamvr0dOrvb2
9p49e5YywMqVKyEIOn/+PLzeDN/phb784eTkhMPhAgICkEMiKSkpiYmJcnJySAvPycn55ZdfkEVZ
eMsIshLHzc198uTJoaGhlStXxsXFzZo1a+vWrcuXLxcQEMDhcMrKygYGBkQiESUPTU1NmZmZkpKS
gYGBJ/+LmZlZR0cH+lFYJSWlzZs3Y1nAJpPJWVlZGzZsGBwc9PLyGq2xKSgo4PF4eLEcAV0ICgoK
U6ZMSUhIQJYP7t+/T3dqNzo6GrkTLy8vLywsjJOTEz5ATouLi8uUKVPOnj2LZKaoqIjSptjb28M1
Dmesv79/165d8+fPh8+cw8Bz0XD9Ij0WE+pHC7pMaIH3nPr7+8fExMAWjUwmJycnb9u2bfPmzegt
f/369VxcXLdv32a4D4M5MOaNRV1lms2bN3NwcBw6dCgpKQnpRT5+/Lhp06a+vr41a9agr61gkR7Q
cNY1HLvBGWuFwvvrBwcHKQ+l8vHxwefohYSEaI+/sWIqKYHDjzZVM9msN9wJXrhwAd7sRSaTY2Ji
qNSAYU86mlIxVFcqrWtoaAgPD5eTk0M/5MHHx9fS0rJjxw5k7NXT0+Pv79/R0WFqajqm+3ewdOjY
2/JYWwRV8em2QXR1YghLnwzq7+8/ffr00NDQ1atXqb7sgcKaNWueP3/u6OhoaGg4NDT05s0bqvG4
pqams7NzaGiora3trFmz6uvra2pquLm5e3t7R0tTXV19w4YNN27cWLZsmbq6emdnZ0lJCZFIPHTo
ELJVMzk5OTExMTU1FT4bkpubC1/qjSRiaGh45cqVPXv27N279/fff1dRUVFQUGhvb6+urt60aRPD
w//JyckjIyM2Nja0GmZnZxcbGxsfH29qaoqSwtatW+Pj4+keMG5padm+fTss84qKiurqag4Ojh07
dqxbt2601Hh4eGbNmpWbm1tfXy8hIYFFCMLCwk5OTnfu3LGystLU1Ozs7CwoKCASibRfkoetKrwf
Lj8/f3h4eNeuXaO900hLS+/Zs+fEiRO2trba2toDAwPv37/n5ORMTU2F12709PSsra3v3btnamqq
rKxcXFzc29s7a9asOXPmUJo2CIL8/Pzu3r07ODgYFhbGnPrRrTh0xaBi7ty5Pj4+J0+e3L9/f2Bg
4LRp02pra6uqqvB4/PHjx9G/YyMmJrZq1ao7d+7cvXsXvh+OvWDM21h1tampia6mXbp0CeWzjLRo
a2sfOXLEz8/P09NTQkJCTk6upaUFfr8yMzPz8PBAj45FekDDWddw7AZnrBUKr4bz8/NTzWwZGhq+
efMGXrvEUiIUU0mXkZGR58+fc3Nzj/b9yslmvfX09GxsbOLi4qysrJBOcKw9KV2lYqiutFoHH0Tt
6OhAbuugxMPDA/4ckKura25ubnJysrm5ubKyMicnZ1lZWXd3t4KCgr+//5g0FkuHjr0tj6lFUBWf
bhtkqE4MYWngxcXFtXr16gcPHsDvcxgxNTW9fPnyX3/9lZWVJSIiYmlp6ezs7ODgQBnGz89PWVk5
MjKysLBQUVHxl19+iY6OzszMRDmBv2/fPnV19fDw8MLCQj4+vqVLl3p6esJqB+Pt7a2jo3Pv3r13
794NDQ1pamr+/PPPVOcmjI2NHz58GBkZmZOTU1ZW9vz5cx4eHjExMcp0RgOeqYavIqNizpw5MjIy
jx496u3tpTwiSgWRSPTz89u0aROtV19fH3ydHTxn6+zsvHLlSoY3iBgbG+fm5qanpyPiZSiE/fv3
i4iI3L9/Pzc3d/r06efOnQsPD6edbnR0dBQVFU1OTi4rK4MHyjY2Nig5cXV1VVBQCAoK+vDhAw8P
z+LFi7du3Uq5Y+bUqVNqamoJCQlFRUXCwsKrVq3auXMn5fkmJyenN2/evHz5sry8HDZYzKkfLVgU
g7Y4Wlpat2/fzs7OzsnJmTp1qpWVlZubG5Z26ObmFhoaevPmTRcXF/hNi71gydtYdXVgYIDulDPt
VdoMWbly5axZs27fvp2VlZWTkyMgILBgwQIHBwfkG0csSg9oOFs0HLvBGVOFwkq4YMECqvGNkZHR
77//znCdEYuppEteXl5ra+uSJUtGm3eZhNYbVpj4+PjCwkJZWVlvb+/U1FTKb+9g6UlplYqhutJq
HTySbm1tpbvxGtmIhsfjAwICTExMwsLCysvLh4aGlJSUzMzM1q1bh+U7s2Pt0LG35TG1CKri022D
DNWJITj7dTsjgy5SfjR+crJixYrq6urXr19P8nxOKhobGxctWqSiogJ/VX7CnvvixYuNGzfu2LHD
3d0d1ALg+wNo+LeFj49PVFRUUFAQixdzAABjUqfw8PDckoaoO5eo3L+Nj2Q3Nzd/+vSJ7Z9Y+e4R
Fxd3dHTMy8vLysqayOfCr2Xol0MCAN8uQMO/Ierq6u7du6enp4d+CzcAMGHqRJj85WxpafH29u7r
60PflACgi5eXV3Nzc1ZWlr6+/gQ87vnz5w8ePIiMjFRUVFy6dCmQP+A7A2j4t1hlxsbGe/bsmchZ
fwBQJxQm9cArJiYmLS0tKyurs7NTS0sL44fJAJTw8fFduHBhwh6XkpISGRm5ePHiY8eOYbybGwD4
hgAa/s3h4OBAtfMJAPi66jSpDYeYmNjr169nzpwJbxtkeiMbYMLYt2/f7t27v9YN3QAA0HAAADDJ
mdQDLyMjo3H6eglgnBiPY3oAANBwAADw3fC/gRf8uXIAAAAAAAAAAOv4+vo6uOyidScg3ux60uS/
mQIAAAAAAABgXBltOERA9x4r4eHhdC+3BQAAAAAAAAB8G/d4AQAAAAAAAHwHgIEXAAAAAAAAwAQB
Bl4AAAAAAAAAEwQYeAEAAAAAAABMEGDgBQAAAAAAADBB0Bl4ZWRkkEik27dvA+kAAAAAAAAAsBEw
4wUAAAAAAAAwQfz7yaDMzMzGxkYTExMikQhBEJFI7O/vf/HiRU9Pj5WVFZAUAAAAAAAAAIv8O/C6
devWkydPiETirl278Hh8c3PzwoULW1tbZWRkli1bhsPhkJA1NTWUSUhLSwM5AgAAAAAAADDk34HX
vn37NDU1X758GRERMTw8HBERoaSkpKWlZWZmRhmBatQFu6CPvWijIIBBGwAAAAAAgB+Hf/d4KSoq
7tix48iRI4ODg+rq6l1dXTt37ty7d6+WlhYy3QUPoUxMTJ4+fQpB0NOnT01MTCDUoRUVcEQAAAAA
AACAH5D/bK7v6enZsmVLbW3tmTNnIAjasWNHVVUVbRx/f39/f/+nT5/Cf4zpeWMNDwAAAAAAAPDd
8J+B16VLlyorK3fs2KGkpHT48OHu7u7Dhw/Txlm4cKH//7Nw4UIgRAAAAAAAAAAsECh/bN26lUgk
btu2DYIgS0vL2trapUuX0sZB5rqwj73gKPDf8OokGLQBAAAAAAD40fjPwEtAQMDd3R356ebmRjcO
Mt6C/3j8+DHDxyxcuBAOZmJigiU8AAAAAAAAwPcHYUyhpaWla2pqkJETMpwChxMBAAAAAAAAGDLm
m+tpx1hjGnWBzfUAAAAAAAB+WAhMxGFlfgvs6wIAAAAAAPDDQpiAZ4CFSAAAAAAAAAAIfCQbAAAA
AAAAYMIAAy8AAAAAAACACQIMvAAAAAAAAAAmCDDwAgAAAAAAAJggwMALAAAAAAAAYIIAAy8AAAAA
AACACQIMvAAAAAAAAAAmiP/d4xUeHs6W5Hx9fYuLi4FYAQAAAAAAAGghQBCEw+FQQsS3xGNPLqE1
ARIHUgUAAAAAAPD9s0x42VijgKVGAAAAAAAAgAkCDLwAAAAAAAAAJghWB145T3IcpjnQum/Q3PD2
0VsmEnSe4fzqwSs2lrAgq8Ba3Jo2zbL3Zb52vs4znB2mORxyOFRdUj2GUj/O8Vri5SDr4DzD+Yjz
kcqPlYjXqwevrESsqP4NDw1jT3yF1Aok4pW9Vyi9astrjzgfcZB1WCW3aq/F3oKXBaMl0t7UbjPV
piy3DGPcy16XkYfSrdBxovZT7W9rflslt2qV3KrdS3fnPMmZgIe+e/oOKexlr8sT2d7gyh3sH4Qg
yGGag5WIVV9PH+J7wvXErcO3Jt4KoOcKheyH2c4znJGfg/2D+5btC9gWgP3RQ4ND2+dv3z5/+9Dg
EPZYrx68Wktaix4mLSRt+4LtTEgjMz7Tw8TDTtpuLWntifUnPn34BAEAmPGx8dm/fD8TOsm0xrLY
UsYD9OdiscDMWQaGXPW5esrt1PgV/ODBg/7+/gyDsTrwmio7ta+nr6ezh9KRTCa3NrROlZ36dRvA
QN/Ak8gnFz0ucnBQF7O1odXHxkfDUOPqq6s3P9zUMtY67HQY4/Coubb56NqjZi5md4vuXsu+pj5f
3dfet7+3HwkgJC4U3xJP+Q9PwI8p5yfunYAjbj29FXEcGR457Hh46vSpV99cvfnhpvJs5cNOhzua
O+imkB6TLqUgpaSlhDHujoAd8BNP3DsxYRXU39vvY+sjqyx75dWVmx9uWmywOOJ8pPjtuB/O0F6o
DRfWYr3FBOsknyAfJ5FzCtcUCIL4hPgIUwhEHiL0tWFXri64XyBwEtwD3ccQhwwNDg4ODQ1B5K8u
BgiCoOK3xQHbA9Z6rw37FHYm+cxU2am7zXbnvcibFJkDTHp6u3pL35UWvSnqbu8G0hgNTBZ4klkG
hiQkJGhoaJw+ffrEiRM6Ojrnzp1DCUxg8WHi08RxOFxLXQsPPw/i2NHcMTQwJD7ta26zL3xTuHvp
bnk1eZ8gH+/l3lS+GfczxGXEV3mtgn/au9unx6a/fvBaf5k+w5RL35WKTxM3czFD4oaeDi3PL1fR
UxnXEmUlZfV29245sQXHgYMgyOWgS2Z8ZuXHSg1DDdrATyKeLFq5iLm4E8ar5FcceA7XQ67w8Y7F
zovfPnqbfCtZWVf5e7U4vIK8cBXAf7P3Ze7r5irkVEhFfsXppNOEKWOwKgROwt9v/p48FZTzOEd9
vvqcpXMgCJJSkHL7zU3DUGOG9ozvVSEB7OXt47eqc1W727vfPn5rZGsEBMI0k80yoNPa2rpmzZrQ
0NDq6uqRkRF5efnCwkKU8KzOeHFycQqKCbbUtUAQ5G3tvdNwJwRBrfWtQuJCXNxccJimL02nNp5a
PXP16pmrT2863VLfQplCS33Lua3nXFRdHGQdvK29+7v72SIIFT2V6NroS88vySrL0vo2fG6QkJOg
dJGUk6wqrqJ0KX1Xuk5l3VrSWqo5mHkW865k/WcFEE/AsyvbKFQVVylpKSEdJCeR8/q763RHTrXl
tUXZRYscFjERdyKpKKiQU5WjPFSrOk+VUj2yH2bvMt5lJ223efbmmMsxVNGv7L1yfsf5R2GPXNVd
V8mtunPsDqVvXUXd0bVHnWc4O89w/m3Nb3UVdRhzFXM5ZpPuJkqXnYY7kafDU+h1FXX7l++3k7bb
abSzIKsAe5H5hPj4BPmQv3kFeCcgVwzzzHSuEJ5EPEm5k+L/jz/lCxj6c1/ce4EsN1z1uUqb5pvU
Nx6LPOyk7KxErFbJrbKVsA10D6QyHX4r/exl7Hca7fz46iPifsL1hJWI1e87f/9c+Bl5xLPoZ1gK
wsPPU1VURTmBPddsLpH33/k/dGuGrpPovijazrAGmdZ2AHt5nfJ69uLZej/pvUl9Q+mOrpMMNRbd
EtZ/rj+54eQ6lXUOsg67zXbnZ+ZTBRitpaADa11teS2sdR4mHpTL7u+evnOUd6QMv5a09mXCS0qX
tsa2w06H4ecWvi7E+FyGloFheTGSFpLmMM3hS9kXLK0b3QIXFhZKS0tbWFjgcDheXl4zMzMPDw+U
R7Nhc/1U2aktdS3kEXLlx8qaTzV9PX3Ndc3IdNfI8Mhva37jwHP8kfHH5ReXh4eGT64/SSb/b/aQ
PEL+bfVvhCmE35/8fufjHeufrcnsm1jk5OIczUtYQrihqoGqLtua2ihd8jLyWhta2xrbPjz/MFo6
fT19qcGpYjJipDmk8W7S7c3tPHw8WEI+jXxK0iNJyksyEXci6evpo+ynIQiy2mTlH+4P/11bXntq
4ynXQ65h5WF7/t7zT8A/tH1nfmZ+a2Prny//9A/3j/g9AtnTBmudqJTo1VdXr766KiolemT1EYxL
yQuWL6irqENG4U01TRUFFfqW/06Fdnd0/7H7j3U+60JKQwyWG5xwPTHQN4CxyHxCfHxCfLR/j3eu
0H2ZzhVSC38f+Nv/H38xaTEqL5TnGlgbwMsNi50X09H2pvZjLseW/7w8rCLses51JS2lozFHXXxd
/lWe7r5bh2857nYMLgk2tDakTNn7tnd8S7znJc/pKtOR5X5jO2MsZTF1MuXAc3gs9Hhw5wHVDgqG
1gxdJ9F9GWo7iiRZ0XYAGyGTyW/T3uou0Z29ZHZ2WjalYqDrJLovum6QR8hH1x4l8hIvPLlwt/Du
ktVLjjgfaW1oxdJSGNLd0f3Xvr82+G8ILQs1tjM+seEEdr3q6+674XfDaY9TcEnwQvuFJzeeHBrA
NJWObhkYlhcjrQ2t1w5e+/nkzzJKMlhaN7oFlpKSqqmpaW9vx/h09gy8muuaq0qqpOSl5NXky3LL
WupakA1eX8q+lL0v23Jyi5C4kPBU4S0ntxRkFdSV/++FrLq0uvRd6ZZTW0QkRLj5uOdbzad8uRw/
9C31q0uqIy9EdrZ2drV1xVyOqSiooDKgqvNUBcUEBcUE1Reo06YAj8odpjnUVdQFpAVQ7olpa2yD
R+u2ErZb525NC05jV6uGcFDsH7H/G+kvHXWk/yTyP+uMY4o7wXYKxbciv0LfUl9viR4nF6eyrvLs
JbNpDxPIKsva77Ln4edR01eTVpSuLv3fCYnqkurPRZ/djrrxi/Dzi/BvOrapqriqqqgKS64kpkso
aSohpzHepL6RV5OXUpD6t81wcLgHuqvPVyfyEFd6rmxraqM8XYEOnxAfryAv7d/jnSt0X6ZzBUFQ
Z0vnvmX7rDZZyavJ07EvzMqq/nP9YP+gySoTTi5OCTkJBXWFtNA0IXEhyjAbD29Um6dG5CE6eDqM
qRZQ4BXgDXwaaOpk+k/AP2tJay/sulD/uR7xRbdm6DqJ7stQ21EkyYq2A9hIWW7ZFK4p02ZMg9em
S3JK2JIsum58+fSlIr9i66mtIpIiRF6iuau5uKz4uyfv2NJScDjcjoAdpNkkLm4u22229ZX12E+h
jYyMuBxwIc0mEXmIdjvtWupaxnSCbTSwlBcLf+75U3uh9tK1SzG2bnQLLC8v7+LiYmBg8OwZppl1
AuuCmCo7tbWuteRtCWkOCSJDxW+L+3v7Jab/byGv6UsTrwCvgKgA/BMWVt3nOilFKdiXT4hv4vcX
S8pL+oX53T5yO/R0KA8/j/UWawNrA6owpNmk4OLg0VKAR+U9nT3ZD7P3Wu49ce8EPHkz12wucuXs
8NDwhxcfDjsdllOTm6kzk/VsZyVlkWaT/nz5J3mEnHI35ZDDob9e/SUm859phtJ3pbXltbTbC7DE
nVTMt5o/32o+8pOTi5P2RQ3RKwiCFtovRJaPm2ub+YT4kClPTi5OPiG+ppomeXV5LI9esHzB6wev
7XfZww2MaucfNx83MrVD4CTw8PF0tnZiLNTuv3Yjf/9y+ZcxCYSVXKH7spIrfhH+/Tf2n1h/YrHz
YtrzNEzLSl5dXlpJ+vE/jxfaL2ypb3n39J2hjSFlACIvERmHEaYQuHm5O1o6sKS8efbm2vJaKker
TVbIQRZuPu5VXqtW/rIy53HO3eN3dxruPJ14WmGWAkNrhq6T6L4MtR1FkixqO4BdvE55rbtYF4Ig
HA6nu1j3TeobtmxXRdeN5ppmHn4eygmLgLSAKZxTWG8pEATx8PMgi1d4Ap6bl7ulrkVOVQ5jXKR/
geO2NrSyrpMMy4uF53HPS3JKLqVfonRk2LrRLXBgYGBycvJvv/3m6en56tUrX19fcfFRt7mzZ+CV
/zJ/aHBITV+NTCa/THwpICKA7KwaGRnp7ui2ErGijAIfXId9IdzXaSTaC7W1H2ojP8/+fBb9Bv/R
dMvI1ij5VnJacJr1VmsqXzwBr71Qe9aCWe+evmN94IXD4eRU5Jb/vBz+ae9u/zji8Yt7L2y22VAG
exLxRMdER1BMkIm4Ewy6wPt7+y/suvAy8SViZSjfTmhx3vvvvQYjIyO0Aeg60sXA2iDkVEhXWxeR
h/ju6TvKlOmCPnXHLtibKzbmWctYa7Hz4rM/nz0Zf5IDz8EWWfV396vpq/2+8/cLuy4IignOXjLb
bpcdW3L7dzamHbs4HE7XVFd7obaPrU9UYNTuq7sZWjN0nUT3Hau2U0qSRW0HsIs3qW+KsouSbibB
P2fqzFy9bzXryaLrBm2DQtljwzqs6BVbdJL18qbHpKfHpG85uYVqap9h62Zogc3Nzaurq7u7uzs6
OubOnZuXl8fLS3/1gD0Dr/TY9LqKuhU7V0BkKOhokMIshdmLZyP2i1+EP7Q0lG5c2osevhbtze3T
VaYzF1dQTLDxSyOKb1tjG+s5FBQVpDooCu+u+49SjpCfRT/b+NtGJuJOPJxETqptNLF/xr578g7e
5hVzKeZL2Zfr764LTxWGIIhqYzU6dId02AfW02ZOk1aUfvvoLb8Iv4CIgJKm0mRQ0cmZKxjXQ64e
Cz1Cz4Su2b+GLQkGHQsizSZ5XvT8uuXiwHPMt5z/4t4LRIVQrBkrfEVtB7CF9qb2T3mfor5EwafK
Ols71yivaWtso1ofZ7tu4CZw6oJMJjPdZbMSl73lNVphZGRrdGXvlUUOi/hF+CmbDHrrxmiBRUVF
PTw8wsLC3r17Z2BgQN+wsC6IqbJT6z/XtzW2SUyXkJCT6O/pryyonDr9f4sOIpIivZ29I8P0h7pC
4kKUvvWV9X3d1Dc3VhVXrZ+13kXN5XPhZ3YpUF5GnpuOG3J2aXhouLKgcjrpPwOv0U41Xjt47dIv
/52irGlCFln+3PPnH7v/oPRtqWuBGwyLyCrLUh0IaKiiPpuZm57b09lDuecae9yJR05FrvJjJXnk
3zeYjy8/IrKq/FipaaiJ/Oxq78KesoikSE9HD7KXc2hgqLu9m3brNwoG1gavHryinU/+ukzOXEEQ
xMnF+euVX6MuRKFc6jsmBvsHezp7WJmW4xXgpTyciJHM+MzCN/85ftVY3YjRmrHCBGi7m7ablYjV
tYPXxpo3dAvMiu/3RHZatpKmEnKWn1+Yf7rKdKqzjeg6OZovum4ISwr3dPVQ3ngc92fceNyG2NvV
29PZIy4rjhSwt7sX2Wvf1thG23cjdHd093T2sOWGKbaUd8HyBbMMZl385SJVO2LYukezwFVVVT/9
9FNcXFxra2t/f39sbGxlZaWiouJo6bBh4CUuK970pQkZ/ZH0SLXltchARFZZVlJOMvhkcHdHd39v
/6OwR27abu1N7Yiv0FShmD9i+nv7C18X/rH7D1pTm5+Z31TT1FLXkpfBtmsM5VTkulq77hy7093R
3dbYdsPvBhcP1xyzOZRhRjvVqKyrnB6b/vHVx4H+gc7Wzgd3HpTlliFr8NNVpr+496Ikp2Sgb6C7
vfvBnQdFb4poR0JMMNd8bntz+/2r97vbuztbO6MCoxqrGynX/iEIehLxRH+ZPu2eOSxxJx59S/3B
/sEbfjda6lt6Onse//M4KznLzPV/F6TJqcnlPMlpqW/pbu+OuhjV1dZVnl/e2tCKsrKDIKssK60o
fevIra62rs7Wzhv+N2SUZGRJsmNqmdlp2a8evJpv+ZWlNPlzBTNDe8Yqr1Vnfj7Dlqsj1/qsTb2T
ulx0+f/OqUja7jbbXVFQgT0F5dnKrfWtrx68GhoYqv9cjzFXFQUVfg5+iTcS2xrb+nr60mPSU4NT
bbbaYLFmLFmkcdb2zpbO+s/1eAIeKQt20C0wK77fE69TX89aMIvSRdNQ83XKa+w6OZovum7IKMnI
zpS9svdKS13LQP/Aqwevgo4GIeM/Funp7HmZ+LKvu6+tse2q91XVuaoyiv87AyinIicqJRr7Z2x/
b3/hm8JA98Dh4f8ceOzt6n2d8rqvu6+1ofWq99WZOjOR84OswK7ybjuz7WPWR8qjb1ha92gWWERE
xMDAwN/f/8CBAz///PP+/ftv3rwpJSU12tPZsNTIK8DLK8BL0vvffQoqc1TyMvKQawLwBLxvqO/1
g9fdtN0G+gakFaVdfF2QHUgETsL+G/sveV0KPh6sPFvZ85LnL0uo9/aq6auJSIpAZIhKrRlCuYv2
iPMR+A945zu/CP+h0EO3Dt9aP2v9yPCI+nx1vzA/qvvl4VONEARRnWo0WmH06cOn05tOt9S1EKYQ
FNQVDtw5gLxfmq0zqyquOrbuWGtDKzcft7y6/OGIw9NmTmNdzngC3j/c/6/9f906fIuTyKmkqXQ8
9jjlXNpA/0DG/Yy91/cyEferQOQlHo87ft33+pY5WyAImk6a7hvii9xDa7fLrra8dtu8bRwEDuMV
xodCDt3wu7FZd7N/uP8sg1kMZXUo5NDfB//ePHszBEGqc1UPhRxCLvZ89/TdwRUHkcBJt5IgCDp4
5yDlS4yihiKvIG9XW5f6fPWJlEnkhcjIC5HIz7MpZykv5v1aucLIKq9Vr1NeB3oEet/yZhj4xb0X
J9b/+5mEe1fuQRB0NOao9kJtCIL+9v7bPdBdTV8N9h0ZHokKjLrocfFc6jmMmRGVEt391+4bvjeO
Vx7nE+LzvOSp95Mew1jOe50VNRTv/XXv9m+3ySNkZV3lozFHkQ2a6NaMFcZP22GKc4ohCDKyNWJi
1gHdArPi+90wMjzy9tHbPVf3UDpqGmoGbA8YGhxC6gJdJ0fzRdcNPAHvG+x7w/+G+0L3ns4eaSXp
X/74BeP+d4bgcLjoi9GnN53mE+TTXax74M4B5DJIAifB57bPpV8uBR8Pnqk70yPQY6/lv12Pronu
pmOb7h6/+7noM68Ar6aR5sG7B5G46BYY3TKwq7z8wvw7z+88u+XsLINZ8NVLWFr3aBaYl5fX39/f
39//4MGDBAKB4VeDcPbrdkbduYQSAjmjB5gYVkitOBJxhInbTZ/HPf9zz59BBUFj/UIRJR+efzjs
dDiyOhJURPi58KYvTTsCdoBcTTwOsg6+wb5axlqIS+XHyr0We8MrwoFmMkHYmbC7J+5eeHJhUm0N
BExmXj14FegeeLfoLhAFJbQWeJnwMuRv2oGXg8su2iEW4TsX0o/Ek4gnRiuMWBl1ASAI6u/tx+Px
n/I+JVxLOH7vOMjVV0FWWfZp5FPVuaqcRE4IgoYGh17ce8Gu9/gfkJJ3JVrGWmDUBQAwB0YLfPTo
USypgYHXZMTb+n8rNZTXC6HT1db1Ju3NyfsnmXviZa/L8HwvBEGT4bPNX5EHtx/c8LshrSjtftGd
LWvE33Guxg/PS55/7vnTSdEJPkLPSeRUnavqcckDGAfmKHlb4n7RHcgBAGAO9lpgsNQIAAAAAAAA
wAyUS420jLrUCIZWAAAAAAAAABPAZLm/FAAAAAAAAOC7hwAxmigDAAAAAAAAALAFMOMFAAAAAAAA
MEGAgRcAAAAAAADABMGGgReBQMDRICYm9tXL1tLSsnbtWkFBQQEBAScnp+bmZkrfnJycpUuXiomJ
8fHxmZubFxYWYk85JSVl3rx5/Pz8YmJiy5cvz8vLw+7LECKRiIhx586dzKXc2Ng4ZcqUt2/fYoy7
detW5KF8fHwTXFOmpqaLFi2ickxLS0OytHXr1onMT0xMzOzZs3l4eCQkJFauXPnu3TuMEePj4yUl
JVl59ODgoLq6urq6+uAgnW/F3Lp1a9asUW8AR/dljuTkZLgK8Hi8rKzsnj17+vr62Jg+enkpERMT
i4/HdAyIUnOEhYVNTEzevHnz1c0R4AeBrjWbzGBvg+xlNHvFuhUdDfamTNciHTx4kOG19RBbBl5D
Q0NkMplMJru6unp4eMB/NzU1fXV9cnFxGRkZKS0tzcjIiIiIWLt2LeJVV1cHN4+ioqLPnz+bmppa
WVkNDQ1hSfbLly8rVqzYtGlTXV1daWmpkZGRmZlZT08PFl+MPH78GBbjpUuXMD6XivDw8BkzZujq
6mKMe+XKFfiJjx8/nuBq6uzszM7OfvnyZVtbG6X7kiVL4Cxt2bJlIvPz6tUrV1fXI0eONDc3Z2Rk
yMnJLViw4OnTpxPzdDKZPDAwMDg4yMr3odmLqKgomUzu7+9PSEjIysqys7Ob/OWF80wmk6uqqgwN
Da2trak+JAcAjAejWbPJzCS0Od8iCQkJGhoap0+fPnHihI6OzrlzaB83+26XGgsLC5OSkgIDA8XF
xZ8+fbpp06aHDx9+/PgR9o2OjpaVlfXx8REVFRUREdm7d6+QkBDG9+ns7Ozp06dv3ryZl5dXSEho
79697e3t79+/x+LLCmNKOTg4eM2aNczFnWBSUlIWLFigo6OTkpIyGfKTmppqZGS0bNkybm5uJSWl
s2fP/vPPP7Nnz56Yp3NycpaUlBQXF3Nyck6qBkUgEDQ1NaOjo9PT0589e/atlJePj2/fvn21tbWf
Pn36Xm0dYPIw2azZZGiDPwKtra1r1qw5ffr05cuXAwMDT548SSCg3U4/7gOvtLQ0ISEhShdJScnY
2FjkZ1VVlaOjo7i4uLi4uLOzc21tLVue++zZM3V1dXjFMywsbNOmTbq6uunp6bBvRUWFgoICZXhF
RUVkWAaTnZ0tJSUlKSn56tUrSndra2uqkAQCobu7G4svK2BPuaysLCsra/Xq1UzEnXgSEhLMzc0t
LS0TExPHFDE5OVlbW5uHh2fGjBlUrxfwlPKnT58WLVrEw8OjpaX14sULjMkKCAgUFBRQTgdaWVlR
Lr9WVFSsWrVKSkqKn59/wYIFiFIh1NbWWlhY8PLyamlpZWRkIO6zZs26ePGiurq6rKxscXHx2rVr
hYSEkLYQGRmJLJB5enpSpeng4IDD4TZs2JCfn48ECwsLw+LLRsTExPT09J4/f46lFo4dO6aiokLp
oq6ufvr0aSzlhcW4bt06aWlpfn5+ExMTFtV1ZGQE+Xvnzp3r168PCgqaNm2aoKDgwYMHKUOiWCT0
GmSodei2Dj1XgG8CFGuGbjfQfdE158WLFwYGBry8vBISEqtXr6baGoHii94GGepzYmKirq4uNzc3
DocTFBTk5OTctGkTFilhsVejWVGI5TFDQ0ODlZUVnHJmZial16dPn2xtbcXExMTExGxsbKje1lAs
UmFhobS0tIWFBQ6H4+XlNTMz8/BA+8zGV57xGh4etrGxwePxeXl5Hz58GBoaWrlyJVsmPCsrK6Wl
peFKqqurmzNnjqSk5OfPn2FfSUnJyspKKr1vaGigdHn69GldXV19ff2TJ09Ge0p3d/eNGzdkZWX1
9fXH6ssK6CmHhITo6+srKioyEXeCIZPJycnJ5ubmFhYWSUlJ2Ku+rKzM0dHxxIkTLS0tISEhx48f
p2q3bW1t27dv/+233xobG+3t7R0cHHp7e7Gk7OLigsfjdXV1r1271tHRQeU7MjJia2vLy8ubnZ1d
W1u7fv365cuX19XVIQG6urr2799/8ODBhoYGBwcHqueePn06KipKRUVl8eLFFhYWe/bsuXjxImKM
kCV72lxFRkaSyeSbN2+qq6uT/x8nJycsvuxFQkKitbUVSy3Y29sXFRWVlZUhTbKgoABZqUQv78jI
iI2NDScnZ3Z2dk1Njbu7O3Nmoaur69SpU4sXL1ZWVqZ0T09Pr6+vLygoSEhIOHnyJLIbkqFFQqlB
dK3DYutGyxXgmwDFmqHbDXRfdM1pa2uztLTcsWNHc3NzZmammJiYhYVFf38/Fl/0Noiuz42NjXZ2
du7u7q2trZ8+fdLV1U1LSzt27BgWQTG0VyhWlMUxQ1dX1549e3x9fRsaGpydnR0dHQcGBihTlpGR
KSoqKioqkpGRsba2RjYgoVskKSmpmpqa9vZ2rLpiv24nmU1Q7vFCSE1NFRQUpHSRkJCIiYmB/y4o
KICrEP755csXCIJKSkpYz4ynpydcH2fOnPHx8SGTyY6Ojp6enrBvWVkZFxfXyZMnm5ubW1pazp49
y8XFRZX5ly9fwmPqzMxM2vQjIiJgAR44cKC7u3tMvuhwcXEhe7zG+lwYFRWVS5cuMRf38ePHvLy8
5InizZs38vLyZDJ5ZGRk6tSpWVlZtGG2bNmyZcsWKsfo6Oh169YhP9esWbNjxw7k5/3793l4eKqq
quCf/f39HBwcr1+/xpirjo6OY8eOKSgocHNzb9y4sby8HPEqLCzE4XCdnZ2Ii6am5p07d5Dn8vLy
1tXVwT8HBgbwePyrV6/gn+rq6hcvXiSTye7u7itWrIBLMWvWLCztCIbKVI3JlzmSkpKQ/VIwjo6O
v/76K5ZaIJPJqqqqgYGB8N9//PGHhoYGRrtRUFCAw+G6uroQF1FR0fv372PJc2pqKqWJU1NTKysr
owywY8eOZcuWUbaXkJAQLBYJvQbRtY6hrUPJFeCbAMWaodsNdF90zcnMzKSy2M3Nzcjf6L7obRBd
n7OysiAIgneGwS1iw4YNYxLXaPYK3YqyMma4f/8+Nzf358+f4Z+Dg4N4PD43Nxf+mZeXx8HB0dvb
C//s7e3l4OBAfBlapF27dqmrq69btw6pOBj7dTtpx11fecarqqpKUFAQOQIpLS3Nx8dXXl7OlsQ5
ODggCAoNDYWH0mSK8amiomJ8fHxkZKSsrKyamtrAwICDgwNV9Hnz5jU0NDQ0NNCdGYLfFdrb2zU1
NY2MjKimRtB9WYFhytnZ2aWlpatWrWIi7sQDz8xDEITD4czNzbGvNq5YsSIoKAj5SSQSqU7b8fPz
T5v2v0+ZcnJy8vPzUx1rRYGfn9/Hx6esrCwmJiYvL09TUzM3Nxf2+vLli4CAAOXKY1ZWFuV2Oj4+
PgkJCfjvKVOm8PHxUT4XzhIOh5s+fTr8B/lb3tDKsBbs7e2ROk1MTMS+Mb+qqkpYWJiXl5e5jCEv
e/39/efPn583bx7VUjvlsWtnZ2dk4wFDi4Regyhah8XWjZYrwDcBijVDtxvovuiaQyKR8Hi8h4fH
+/fv4RMkIiIiSDrovlgs4Wj6rKmpOXPmzLt37/b391dUVDx8+FBOTo5dkkSxoiyOGQQEBGRlZeG/
CQQCHx8fMrP45csXYWFhIpGIWDNhYeHq6mqMFikwMPDs2bNlZWWenp7u7u6NjY0o2fjKA6+RkZH2
9nbKeyi6urqQiVBW4Obm7u7uLikp6evr09DQgCCovb2dh4cHCbBkyZLXr193d3fX1tZ6e3uTyWQc
DjfWpwgICKxatUpISOjmzZtj9WUFlJSDg4OXLl0qLi7OXJ4nmMTExCtXrsBVHxQUlJCQgDFiT0+P
s7MzDw8PHPf69esMo4x1iIPD4czMzDIyMnR1dZGdSZRbhZD2yYTmfNMg5WVYC/b29k+ePOnp6env
73/8+LG9vT12y8AWqXJyci5dutTIyOj27dujhTl06BDycsV2i4Ro3VhTpswV4JsAxZqh2w2Gviia
Iyws/PDhw4qKCmNjY2FhYSsrq5cvXyLpoPuyos/d3d2GhoYbNmzg5uaeN2+enp7e7t27J0DIbG+h
iPBpa4HKl6FFMjc337Bhg6+vr7i4+Ny5c1G2pX7lgRcOh6NayCCTyVZWVqynLCsr29jYGBoa6ujo
CLvU1dUhQ11ampqaUAYr6EydOrWqqoo5X1agTXlkZCQsLIxyAmbic4WdxsbGd+/eIYuezc3NOTk5
9fX1WOKeO3euuLj406dPcFw3N7dxyiQej7e1tUV2BP5oYyy6tSYoKIixFrS1taWlpR89evT06VMp
KSn4FQgL8HQ1u5CUlMSoV+NnkcYvZcAkaRco1gzdbjD0RdccPT29uLi4lpaWFy9eaGhoLF68uKSk
BKMv0xw8eHDevHnwump9ff2tW7eYnp/+iu2ITCYjpoZuLSCO2C2SqKior68vDw8PygWQ4z7wEhUV
7erqQnao1dfXd3V1Ib7S0tIdHR3oV+x8/PhRVlZWRkYmPz8f+3ONjIzevXsXHBwMrzO2trZ++PBh
4cKFsO+zZ88UFRWRk2tDQ0MfPnxQU1OjTGG0U42//vor1c1S1dXVyCwrui8rYEn50aNHHR0dNjY2
TMSdeJKSknR1dZFpSBEREXV19aSkJCxx8/LyTExMkNvwkO3erBMTE0P1Uvj582d5eXn4bykpqc7O
TspXmd9//51KQ8YPQUFBlDvh0H0hCFJQUMDhcL/++ivTGWhtbX3z5o2BgQH2WrCzs0tMTBzTOiME
QRISEpSWoby8nNJujJW6ujr4qA1DsFgk5hi/lAGTAXRrhm430H0xag4HB4eGhsaJEyfk5ORev349
Jl8m6Ovr6+joYGWnBEN7Nd7tqL29vaOjA94zAKfc3t6O7LUfGBhoa2tDVlrRLVJVVdVPP/0UFxfX
2tra398fGxtbWVk52vk2aAIGXurq6jIyMufPn+/p6Xn58uWmTZso7ylVVVVVVFT08/Nrb2/v6ekJ
CgpSUFCgWhxNT0+vrq6uqakZ0+1Bs2bNMjY27ujoEBISam5u9vT0NDMzU1VVRXLV0tLi6+vb3t5e
X1+/Z88eHh4eqlHzaKca58yZ888//2RkZPT19bW0tFy7du3t27crVqzA4ssKWFIODg6GT8cwEXfi
SUxMNDY2pnRZtGgRxtVGDQ2N1NTU2tratra2M2fOtLa2vn//vq6ujvV16g8fPpibm//555/19fXd
3d3h4eE3btxAzlorKyurqKjs3Lmzpqamr68vPj7+wIEDlEvY48rcuXPr6uri4+MHBgYqKiqoLmlE
921ubq6oqCAQCOjnnEdjaGgoLy/PwcFBX1/fxMQEey3A27ySkpLGNPBSVVWVlJQMCAjo6enJzMzc
vn07cyZ+YGAgJSUlOTkZ4zsxFovEHOOXMmAygG7N0O0Gui+65sD3DiYlJXV0dPT19SUlJX358kVP
Tw+LLyv89ttv169f5+DggNf7uLi4FixY8OHDB3ZZs3FqR52dnQkJCV1dXXV1dR4eHnp6esh5Z1VV
1ZkzZ3p7e7e2tra0tOzdu1dZWRmZjkG3SCIiIgYGBv7+/gcOHPj555/3799/8+ZNKSmpUfMx3qca
yWTy69evdXR0iESikZFRcXEx5alGMplcVFRkZWUlLCzMzc2toaFBe5AnPz9fWlpaSkoqLy9vTPlp
bGx0dHTk5+fn5+d3cnJqamqi9H327NmCBQv4+fl5eHjMzMw+fvxIFX20U40jIyP79u2bPn06gUDg
4eHR19dPTk7G6IuF0U41Mky5t7dXQEAgMTGRibgIE3aqcWhoSEhIKCEhgdIxJiZGQEBgYGCATHM2
DQbRnN7eXldXV0FBQVFR0e3bt3d2dm7bto2Xl/fJkyfw6RUJCQnKlAUFBeED3liIi4szNTUVEhIS
EBCA9wJS+paUlKxYsWLq1Knc3Nyampr//PMP5akZlOeqq6vD+ffw8IBbSkxMDHKuBzlzSklqaipV
3qKiokgk0pQpUyQkJKikh+4Lv3yvXr16TNWEvLJzcHDIyMh4eXlRnodFrwVE92RkZKZNmzYyMkKZ
MsPyZmRkaGpqEolEY2PjsrIy5k418vPzz549OyIigjLAjh07XF1dR4uOYpHQa5Ch1qHbOvRcASYz
DK0Zut1g6IuiOd3d3adOndLT0+Pl5eXl5V2wYMGDBw8w+qK3QXR9tre3T09Pp5TA8ePH4cVH7NC1
Vyy2IxT6+/uvXLmio6PDxcU1depUJyen6upqqlpYvny5iIiIiIiIlZUV1WFJLBbpwIEDfn5+lC50
TzXi7NftjAy6CN5XJg9EIjE5OZmJr31FRETs2LGjpqYG/c5cdJ48eWJlZcXKsg5gcvLbb78dOnTo
7du3Ojo6QBoAAIAV+Pn54RdUxCUvL8/Q0PAb+lbSeHDw4EECgUD5uUYHl11Rdy5RBSP8UEL5vgkO
DnZ0dGRl1AX4jnnz5o2pqSkYdQEAANZRVVUNCQmZP38+Nzc3BEGDg4ORkZF0P3r9Q3H06FEswb7b
bzV+05iYmMAL5zt37sQYpbW1NSkpifIzQWNi69at8BOR7TuA74zXr19PzHlvAADw3XPjxo2SkhJR
UVG44xAUFExPT79x4waQDBbA7Mikg+oKSowICwuzsq/8ypUrV65cAcL/jqmpqQFCAAAAbGHWrFlP
nz4FcmAOMOMFAAAAAAAAMEGAgRcAAAAAAADABAEGXgAAAAAAAAATBBh4AQAAAAAAAEwQYOAFAAAA
AAAAMEGwYeBlbm6Ow+GKi4vhn01NTRwcHObm5l+9bNnZ2SYmJiIiIkJCQgYGBikpKdh9WUk5Jydn
6dKlYmJifHx85ubmhYWFY8o2/F16lOskXrx4QSAQ4uPjURJpbGycMmXK27dvMcZFrpPA4XB8fHwT
U0FpaWnIQ4WFhU1MTN68eTOmFAYHB9XV1dXV1QcHBycmz5NW2wEAwNfl8+fPK1euFBYWFhISWrJk
SV5e3gQ8lNKKbt26lY0ps27rRrPP7Mpzf3//4cOH161bh/G56MTHxyOfnWWagwcPUt6eOhpsm/F6
8OAB/Af8wYGv3gZ6enrMzMzmz59fWlr6+fPnjRs32tjYfPr0CYsvKynX1dWZmpouWrSoqKjo8+fP
pqamVlZWlJ+nxALyyaBLl/5z421vb29ISMjmzZsZfik9PDx8xowZurq6GONeuXIFfuLjx48nspqQ
78xXVVUZGhpaW1uP6eunZDJ5YGBgcHBwglVusmk7AAD4uoyMjCxbtkxOTi4/P//Tp0/a2tomJibt
7e3j/dwlS5bAJnTLli3jkT4rtm40+8yWPPf09CxZsuTdu3dHjhzB+NxxJSEhQUND4/Tp0ydOnNDR
0Tl37hxKYPYMvGbOnInM+qSkpKioqHz1ZvDs2bO+vr7Dhw+LiIgICAi4ubnJy8unp6dj8WUl5ejo
aFlZWR8fH1FRURERkb179woJCaHPTmHk5cuXPDw8J0+ejIqKEhERQQ8cHBy8Zs0a5uJ+Ffj4+Pbt
21dbW4tx+AvDyclZUlJSXFzMyck5YVmdhNoOAAC+LvHx8d3d3adPn5aWlhYRETl58iQej7937943
XSgWbd242uedO3eKiopGRUUpKChM5HPp0traumbNmtOnT1++fDkwMNVAl7YAAByeSURBVPDkyZPo
n5Bhz8DLwsLiyZMn8LReWlqahYUFpe+nT59sbW3FxMTExMSoJpbgyb1Pnz4tWrSIh4dHS0vrxYsX
bMnS0NCQhYXFlClTEBdRUVHkM1LovjDZ2dlSUlKSkpKvXr3CnnJFRQWVHigqKn78+JH1Eunr6/f2
9r5//15VVRU9ZFlZWVZWFuUt9tjjfnVGRkYom9b69euDgoKmTZsmKCh48OBBxCsyMhKZrPb09KRN
Jzk5WVtbm4eHZ8aMGVQvHyxqHbq2ozz33LlzSkpKlC6amproL0YAAOCbID8/X11dHVlPIBAI8+bN
q6urQwKg9IMMfRMTE3V1dbm5ueE74jk5OTdt2oQxY1VVVY6OjuLi4uLi4s7OzrW1tdgLxbStY2if
WZd2UFDQhQsXqBZw0J+LxfI3NDRYWVnx8vJqaWllZmZirKPCwkJpaWkLCwscDsfLy2tmZubh4YGS
f/YMvLS0tAQEBDIyMgoKCiAI0tDQQLyGh4dtbGxkZGSKioqKiopkZGSsra0pl97a2tq2b9/+22+/
NTY22tvbOzg49Pb2sp4lKysryk+vDw8PV1RUICu46L4wT58+raurq6+vf/LkCfaUJSUlKysrKcNX
VFQ0NDSwRc5EIhFLsJCQEH19fUVFRSbifi26urpOnTq1ePFiZWVlSvf09PT6+vqCgoKEhISTJ08i
u9YcHBzgyWpXV1fa1MrKyhwdHU+cONHS0hISEnL8+PGwsDDKAKxoHYq2oz/X3t7+06dPyCi8urr6
w4cPtra2307nAgAA6NPQ0CAoKEjpEhcXt2fPHvhv9H4Q3bexsdHOzs7d3b21tfXTp0+6urppaWnH
jh3Dkis4ZTwen5eX9+HDh6GhoZUrV2JfgGPa1qHbZ9YJDQ3V19eXk5Ojcmf4XHTL39XVtWfPHl9f
34aGBmdnZ0dHx4GBASx1JCUlVVNTg31lmT0DLw4ODjMzswcPHqSkpJiZmeFwOMSrsLCwoKDg3Llz
oqKioqKiAQEBHz9+hGsRBo/HX7t2zcjIiJeXd//+/Q0NDfn5+Wysob6+vvv375ubm0tISNjY2GD3
NTAwgN8SjI2Nsadsa2tbWFh46tSplpaW1tbWc+fOvX//foK3AYWEhFCuM05mmpub4bcTfn7+6Ojo
q1evUioPBEGqqqp79uwREBAwNDScOXNmUVERlmTfv39vY2NjYWFBJBLnzp1rYWHx/PlzygCsaB2K
tqM/V15eXkdHB1l3TkxM1NDQoJoDAwAA3yLoRh69H0T3LS8v7+/vX7t2LZFIVFBQ0NTUvHXrloSE
BJZcFRcX5+TkBAYGSkhISEpKXrhw4cWLF2VlZRgLxbStG29evny5ePFiJiKiW/6RkZGjR4/OmzeP
l5d39+7dNTU1yNk49DqSl5d3cXExMDB49uwZJsGyRQo4HM7CwiIlJSU1NRU+CoF4ffnyRVhYGJlu
IRKJwsLC1dXVSAB+fv5p06bBf3NycvLz8zc3N7MlVxUVFW5ubhISEmfPnnV2ds7IyKCc9UH3hSBo
3rx5DQ0NDQ0N+vr62FNWVFSMj4+PjIyUlZVVU1MbGBhwcHCYyPafnZ1dWlq6atWqb8JaCQoKwi8o
/f3958+fnzdvHtWyrJiYGPK3s7Mz7XI+XVasWBEUFIT8JBKJVF/AZEXrULSd4XPt7e0pB15gugsA
+P5AVrtmzJgBu6D3g+i+mpqaM2fOvHv3bn9/f0VFxcOHD2lnekajqqpKUFAQsaLS0tJ8fHzl5eXY
C8K0rRtXPn/+LC0tzUREdMsvICAgKysL/00gEPj4+JDFYoYjmcDAwLNnz5aVlXl6erq7uzc2NqJk
g22nGn/66af379+np6cvWbKEctmVcssOuiMCW+aH6uvr58yZIyIiUlhY+PTp040bN3JxcWH0ZSVl
CIKWLFny+vXr7u7u2tpab29vMplMNYszrgQHBy9dulRcXPzbMlWcnJxLly41MjK6ffv2aGEOHTpE
OwimS09Pj7OzMw8PD2z+rl+/zjDKmLRuNG1n+Fx7e/uMjIzW1taBgYGHDx+uWLHi26omAABAF0oj
D79MBgUF4fF42AW9H0T37e7uNjQ03LBhAzc397x58/T09Hbv3o0xVyMjI+3t7TgKurq6+vv7sZeL
aVs3rnR3d7PrlBi65cdYRzDm5uYbNmzw9fUVFxefO3dud3f3aMkS2KVzQkJCc+fOhSBISEiIUgXp
jjkmYCASFhYmLy9/5swZJnxZSZmWpqYmdXX1iVHHkZGRsLCws2fPfqPGS1JSsr6+nvV0zp07V1xc
/OnTJ3jvHfaNqCxqO8PnqqiozJw588GDB/B8tY6OzjdaUwAAgJKpU6dSLeE1NzcLCwsjRoOuJcHi
e/DgwXnz5t24cYOJXOFwOFFR0aamJuYKxYqtG1d4eXnZtTKGAplMRsaa2EcyoqKiHh4eYWFh7969
MzAwoJsy25YaIQh6/vw5vMpLmRtpaen29nZkh9rAwEBbWxsy14eFjx8/ysrKysjIjGnvV1VV1cyZ
M5nzhRntVCN63GfPnikqKvb09MA/h4aGPnz4oKamNjHq+OjRo46ODtqtbN8KdXV1zE0gU5GXl2di
YoKceGhtbWVjJlG0Hctz4dVGsM4IAHxPaGho5OXlUU6BZGZmzpkzB/4bvR9E9+3r6+vo6GBuIUha
Wrqjo2NMlyNSwqKtGz+mT58+puOZTNDe3t7R0TF9+nQsdVRVVfXTTz/FxcW1trb29/fHxsZWVlZS
nW+jhJ0DL7o/VVVVZ86c6e3t3dra2tLSsnfvXmVl5TENRNLT06urq2tqajBuW4MZGhpCuWUU3Rdm
tFON6HHV1dVbWlp8fX3b29vr6+v37NnDw8NjZWU1MeoYHBxsa2vLy8v7zZmtgYGBlJSU5ORktshK
Q0MjNTW1tra2ra3tzJkzra2t79+/r6urG9McOxPajuW59vb2SUlJ8fHxYOAFAHw3LFu2TERExMvL
q7q6uqOj4++//05ISNi+fTvsi94Povv+9ttv169f5+DggBf1uLi4FixY8OHDByy5UlVVVVRU9PPz
a29v7+npCQoKUlBQQN9+RAmLtm78mD9/flpaGtuT7ezsTEhI6Orqqqur8/Dw0NPTQ07Zo9eRiIiI
gYGBv7//gQMHfv755/3799+8eVNKSmrUJ9mv20lmDTMzszt37lC6hISEmJmZIT9LSkqWL18uIiIi
IiJiZWVVUlKCeN2/f19CQoIyrqCgYFJSEqVLfn6+tLS0lJRUXl4e9lzRvUXDw8MDiy/My5cv4VON
mZmZ2FMmk8nPnj1bsGABPz8/Dw+PmZnZx48fxyRPLi4u5OZ6KuiegEN8e3t7BQQEEhMTmYiL8Pjx
Y15eXvKEkJqaiuSEn59/9uzZERERlAF27Njh6upKNy7ljR4I8N3KsChcXV0FBQVFRUW3b9/e2dm5
bds2Xl7eJ0+eYNQ65rQd/bkIioqKoqKiQ0NDZAAA8L1QU1OzevVqERERTk5OPT29R48eUfqi9IPo
vvb29unp6cjPoaGh48ePz5s3D/5JaUURYmJikPBFRUVWVlbCwsLc3NwaGhohISEYi8OKrUO3zwzz
zJD8/Hw8Hl9RUUHljv5cdMvf399/5coVHR0dLi6uqVOnOjk5VVdXY69BmAMHDvj5+VG62K+j890/
nP26nZFBF8H7yuSBSCQmJycvWrRorBEjIiJ27NhRU1ODfmcuOk+ePLGysurq6gIVMX4cO3asqqrq
ypUrQBQAAAAdfn7+uLg4U1NTxCUvL8/Q0JDqxu8fjQ0bNrS2tsbExEzk2TWGHDx4kEAgUH6u0cFl
V9SdS1TBOCZPjgEsEhwc7OjoyMqoCzCu9PT0DAwMvHr16vLly+NxmzMAAPj+UFVVDQkJQe75HBwc
jIyMnDVr1g8ulkuXLjU1Ndnb22O/HWMCOHr06IR+JBvARkxMTODl/J07d2KM0trampSURPmZoDGx
detW+IkmJiZA/uPE33//zcfHt2HDhuvXr4MvPAIAACzcuHGjpKREVFQUNtGCgoLp6enMHXL8nuDl
5U1LS9PU1PT19f3mMg+WGgEAAAAAAADYD1hqBAAAAAAAAPiagIEXAAAAAAAAwAQBBl4AAAAAAAAA
EwQYeAEAAAAAAABMEGDgBQAAAAAAADBBsGfgFRMTM3v2bB4eHgkJiZUrV757924ylC07O9vExERE
RERISMjAwCAlJYU2zIsXLwgEQnx8PHOPuHjxIg6Hc3BwoHQsKytbvnw5Pz+/oKCgoaEh/JUr7BCJ
RORL8nSvk8CS58bGxilTprx9+xZjXOQ6CRwOx8fHNzEVRCAQcDSIiYlN5gbz5s0bHA5H+bWfRYsW
hYWFjcezxMTEqGpqcHBQXV1dXV19cHAQGC8AYBJiamrKxPXXDLl16xbdu7vi4+ORDyZ+W4xmzdLS
0pDuYOvWrWOKO35gyRUEQQcPHpyge7xevXrl6up65MiR5ubmjIwMOTm5BQsWPH369OtWak9Pj5mZ
2fz580tLSz9//rxx40YbG5tPnz4hAXp7e0NCQjZv3szwo42j0dbWdvjwYQkJCUrH4eHhZcuWycvL
FxcXf/78ed68eVZWVmP9ODzyyaBLl/5zDBV7nsPDw2fMmKGrq4sx7pUrV+AnPn78eMLqCPlmjqur
K/LNpbHKauIREBBISUn5KtdGk8nkgYGBwcFBMlNfzAUAAONKZ2dndnb2y5cvf/Br5bEwmjVbsmQJ
3Bds2bJlrHHHD4a5SkhI0NDQOH369IkTJ3R0dM6dO4eSGhtuOU9NTTUyMlq2bBkEQUpKSmfPnl20
aNHs2bO/bqU+e/asr6/v8OHDU6ZMgSDIzc3t7Nmz6enp8AfDX758OX/+fA0NjaioKKavDD1y5IiE
hMTSpUurqqoQx3v37nV1dV24cAEe3xw9ejQ6OjovL4/1d6Ax5Tk4OHjNmjXMxQWgIywsrKSkFBUV
5ebmNsGP5uTkLCkpAVUAAExOUlJSFixY0NbWlpKSsmrVKiAQFFixZpPNEra2tq5ZsyY0NLS6unpk
ZEReXr6wsBAlPBtmvAQEBAoKCnp6ehAXKysrZLkqLS1NSEiIMrykpGRsbCz8NzxN+unTp0WLFvHw
8Ghpab148YItghgaGrKwsIBHXTCioqLIW4i+vn5vb+/79+9VVVVHSyE7O1tKSkpSUvLVq1e0vqWl
pZcvXw4ICMDj8ZTuHz9+1NXVRWaVuLm5y8vL2TLzjCXPMGVlZVlZWZS32GOPO6n49OmTra2tmJiY
mJgY1YTlrFmzLl68qK6uLisrW1xcvHbtWiEhIUSvIAhKTk7W1tbm4eGZMWMG7cvHixcvDAwMeHl5
JSQkVq9ePdbFcWdn55CQkLHmGYKgnTt3rl+/PigoaNq0aYKCggcPHqT0ra2tXbdunbS0ND8/v4mJ
SXd3N+IVGRmJTHTTfm5o/NoRAADATkJCgrm5uaWlZWJi4phaKIrdcHBwwOFwGzZsyM/PR4wA1faG
2tpaCwsLXl5eLS2tjIwMSq+qqipHR0dxcXFxcXFnZ+fa2lrsFgkFViwwujVDh0VLmJiYqKury83N
DX8DgJOTc9OmTazXe2FhobS0tIWFBQ6H4+XlNTMz8/DwQAnPhoGXi4sLHo/X1dW9du1aR0fHWKO3
tbVt3779t99+a2xstLe3d3BwQD5KxQpWVlaUHyofHh6uqKigXAsnEonoKTx9+rSurq6+vv7Jkye0
vnv27FmyZImZmRmVe2NjIz8//zi1aoZ5hgkJCdHX14fn9sYad/IwPDxsY2MjIyNTVFRUVFQkIyNj
bW09NDSEBDh9+nRUVJSKisrixYstLCz27Nlz8eL/vsFQVlbm6Oh44sSJlpaWkJCQ48ePU9qptrY2
S0vLHTt2NDc3Z2ZmiomJWVhY9Pf3Y8+bvb19RkYGlQnDkmcIgtLT0+vr6wsKChISEk6ePInswxsZ
GbGxseHk5MzOzq6pqXF3d6ecRXdwcECWZSeyHQEAAIyQyeTk5GRzc3MLC4ukpCSqVTCUFopuNyIj
I8lk8s2bN9XV1cn/j5OTE5JyV1fX/v37Dx482NDQ4ODgQJsyHo/Py8v78OHD0NDQypUrqTI2mkVi
CNMWmKE1Q4EVS9jY2GhnZ+fu7t7a2vrp0yddXd20tLRjx46xXvVSUlI1NTXt7e0Yw7Nh4CUoKJiT
k+Pi4nL8+HFJSUk3N7eKigrs0fF4/LVr14yMjHh5effv39/Q0JCfn8/GxtDX13f//n1zc3MJCQkb
GxvsEQ0MDOC3BGNjYyqvp0+fxsfH013EJZPJOBwuICBASkqKn59//vz56enpE9z+Q0JCKNcZv1EK
CwsLCgrOnTsnKioqKioaEBDw8ePHgoICJMC+fftUVFTU1NTmzJmzZs0aNTW1hoYG2Ov9+/c2NjYW
FhZEInHu3LkWFhaURxwKCwuHh4dXr15NJBIVFRUDAwPz8/O5uLiw501YWHjJkiXh4eFjzTMEQaqq
qnv27BEQEDA0NJw5c2ZRURHsXlRU9ObNm8DAQFhzVqxYMaZTDuPdjgAAADpv377l4uIikUjwTpvX
r19jbKFY7AY6p0+fhqfw4ZTz8vJg9+Li4pycnMDAQAkJCUlJyQsXLrx48aKsrAyLRWII0xZ4XEGR
c3l5eX9//9q1a4lEooKCgqam5q1bt6h2aTOHvLy8i4uLgYHBs2fPsIRnz6lGfn5+Hx+fsrKymJiY
vLw8TU3N3Nxc7HGnTZsG/83JycnPz9/c3MyWXFVUVLi5uUlISJw9e9bZ2TkjI2NMsz7z5s1raGho
aGjQ19endCeTyV5eXtu2bRvtO8f37t2bMmVKQUFBRUXFihUrzM3NKTeBjTfZ2dmlpaXfwfaCL1++
CAsLI1VGJBKFhYWrq6uRALDa4HC46dOnw38gb3IrVqwICgpCQhKJxL6+PuQniUTC4/EeHh7v378f
Hh6GIEhERGSs2XNycqJdbWSYZwiCKI9tOjs7KygowH9XVVUJCwvz8vIy3QbHqR0BAAAswOuMEATh
cDhzc3Oq1UaUForFbqDAx8eHjB6mTJnCx8eHpFxVVSUoKIjYHGlpaT4+vvLycsroo1kkhjBtgccV
FDlramrOnDnz7t27/f39FRUVDx8+lJOTY9dzAwMDz549W1ZW5unp6e7u3tjYiBbaft1O9hYbj8c/
efIkODgY/rlkyRKq8x11dXXIaXwrK6u6ujpK37a2Nlh3WURCQqKxsfHMmTNSUlLoIevq6qysrLCn
vH79+paWFqSrPnv2bGRkJOJ7/vz5zMxMyvC5ubljWsbu6+tjuCcMJc8BAQEJCQlMl3fRokVdXV0T
bLBu3br1+++/Uzmam5tTnXBsampCcp6Xlwdr0e+//w7HtbW1Rd7zeHh4QkNDe3p6kJn5a9euUSal
p6cXFxfX1tbW0dERHx9PNbZGQU9PD57Q5ePj6+7uVlJSevLkCTLtj55nCIIuXbp069YtuikzjIsi
q/FrRwAAACMvX74kU0A544XeQrG0/fXr1yP2DXvbNzc3J9OA0SKhw6IFhqFrzRCuXLly5cqV0XyZ
sISioqI3btwgk8kjIyP19fW3bt1i4kUXPVebNm3y8PDw9fUtLy+HE6c/xLJft5PMbs6fP29gYAD/
nZqaKigoSOkrISERExMD/33//n0JCQlKX0FBQXh1nEV+//13PT09LCElJCTu37+PPWVHR0e6Ek9N
TSWTyceOHVu1ahVl+OXLl+/Zswd7+lxcXMh1EmPN8/DwsJSUVHBwMNPlffz4MS8vL3liobxOAiE5
OVlUVJTSRVRUND4+Hv5bXV0d1iIPDw84bkxMDLIH4siRI7q6urW1tfBPNzc3Nzc3uuJ6//79/v37
eXh4iouLsWT19evXcnJy8N8rV648cuTIwoULQ0NDseSZTCbv2LHD1dWVbsoPHjygjUtbU3RlNX7t
CAAAYKGhoYGLi6u7uxv+2dzcjMfj6+rqsLRQhnaDTLPHC2Pbp02ZChSLhA5bLDBda4awZcuWLVu2
jObLhCXcunUrcnES06Dn6u+//75z5w6ZTFZTU3v+/DmZTKY78GLDUmNMTMzLly8pXT5//iwvL4+M
Mbu6upB9gvX19WOdUPn48aOsrKyMjMyY9qxUVVXNnDmTlXKNdqoxLCyMUtC//vqrvb09mUxesmQJ
BEGqqqqVlZWU4SsrK7FP3rLIo0ePOjo6xrSVbdIiLS3d3t4+MDAA/xwYGGhra0PmkBm+jZmYmCBn
KVpbW+kG4+Dg0NDQOHHihJycHNWGDCw4OzuHhoayK88SEhIdHR3w0icEQeXl5RM/9QgAAJgjKSlJ
V1eXh4cH/ikiIqKurp6UlIQlLha7ISgoSHl1AEakpaUprcqEgdECTzB9fX0dHR3kcbj6q6qq6qef
foqLi2ttbe3v74+Nja2srKQ630YJGwZeHz58MDc3//PPP+vr67u7u8PDw2/cuIEsrqmrq8vIyJw/
f76np+fly5ebNm2iOuTFkPT09Orq6pqaGozb1mCGhoaYvhkVBv1U42gsX768sbHx4sWLbW1tLS0t
p0+f/vz584oVKyZGsYKDg21tbZneJzSpUFVVnTlzpre3d2tra0tLy969e5WVldXU1LDE1dDQSE1N
ra2tbWtrO3PmTGtr6/v37+vq6uCji/DNc0lJSR0dHX19fUlJSV++fNHT0xtrDi0tLb98+UL5PsBK
nlVVVSUlJQMCAnp6ejIzM7dv304Gt6QCAN8IiYmJVMewFi1ahL7rY0x2Y+7cuXV1dfHx8QMDAxUV
FRgvaFVVVVVUVPTz82tvb+/p6QkKClJQUGCw/YgdoFvgr8Vvv/12/fp1Dg4O+DYKLi6uBQsWfPjw
gfWURUREDAwM/P39Dxw48PPPP+/fv//mzZso25zYMPA6dOhQUFBQZGSkioqKtLT0tWvX0tLSkG6M
k5MzKioqNDRUVFR07969AQEBVNd6McTQ0FBaWlpKSor2dCE6wcHBVJ+jodxrNWPGDNixvr5++fLl
8N+U0VFONaJAIBASEhLi4+NlZGRmzpyZmpr68OFDdn3SAT3PfX190dHRo51nZFjeyQaBQLh3715J
ScmMGTNmzpxZVlYGn1rAEnf37t06OjqqqqozZsyoqKi4d++enp7ejBkz4KlZAwOD5cuXHzp0SFpa
WkxM7OjRoxEREcrKymPNIRcX14oVKyg3Z7CSZ05OzvDw8Lt374qKiu7fv//y5cuU95Igt9fcvn37
woUL8N9paWmTuQYBgB+E4eHhBw8eUPUUJiYmKSkpWL5pg8VuyMjI3L17d/fu3Xx8fPr6+lSXdaGn
nJubq6CgICYmdvbs2ePHj4uLi4+3QNAtMLo1Qz7O89dff/3111/w38gNYaxYQk9Pz2vXriGrVT09
PcuXL9+8eTOWuOi54uXl9ff3z8nJ2bt3r6+vb2Fh4cqVK1FSw9mv2xkZdBG0nMkDkUhMTk5m4s7V
iIiIHTt21NTUEAjMf5DgyZMnVlZWYJELAAAAAN8T/Pz8cXFxpqamiEteXp6hoSEbv+908OBBAoFA
+blGB5ddUXcuUQUjTHJJAbATHBzs6OjIyqgLAAAAAIDvElVV1ZCQkPnz53Nzc0MQNDg4GBkZSffT
40xz9OhRLME4JqeAfnBMTEzgmcydO7Fe9tHa2pqUlET5maAxsXXrVviJ4EuOAAAAAPj+uHHjRklJ
iaioKNzZCQoKpqen37hxY+JzAmZHJh3MXTQnLCzMyr5F9LtJAAAAAAD4ppk1a9bTp08nQ07AjBcA
AAAAAADABAEGXgAAAAAAAAATxP8Bfh+8wTQBrqcAAAAASUVORK5CYII=
--=-=-=
Content-Type: text/plain


Please provide an option to dynamically shorten at least
automatic tab labels in order not to overflow the tab bar into
another line OR provide an option with sensible default for the
max length of automatic tab labels (e.g. 23 characters per tab
label would allow for at least 3 tabs on a 80 char terminal) OR
something to such effect.

Thanks, Gregor

--=-=-=--





Acknowledgement sent to Gregor Zattler <grfz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38693; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Jan 2020 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.